%--------------------------------------------------------------------------
% File     : BOO038-1 : TPTP v3.1.0. Released v2.5.0.
% Domain   : Boolean Algebra
% Problem  : DN-1 is a single axiom for Boolean algebra
% Version  : [EF+02] axioms.
% English  : Show that equation DN-1 is a single axiom for Boolean algebra 
%            in terms of disjunction and negation by deriving the Huntington 
%            3-basis.

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [EF+02]
% Names    : ba-dn1 [EF+02]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.1.0, 0.20 v2.7.0, 0.38 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    4 (   2 singleton)
%            Maximal term depth    :    9 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----DN-1
cnf(dn1,axiom,
    ( inverse(add(inverse(add(inverse(add(A,B)),C)),inverse(add(A,inverse(add(inverse(C),inverse(add(C,D)))))))) = C )).

%----Denial of Huntington 3-basis
cnf(huntinton,negated_conjecture,
    ( add(b,a) != add(a,b)
    | add(add(a,b),c) != add(a,add(b,c))
    | add(inverse(add(inverse(a),b)),inverse(add(inverse(a),inverse(b)))) != a )).

%--------------------------------------------------------------------------
