%--------------------------------------------------------------------------
% File     : CAT006-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Codomain is the unique left identity
% Version  : [Mit67] axioms.
% English  : codomain(x) is the unique identity j such that jx is defined.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C6 [MOW76]
%          : p6.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   0 non-Horn;   9 unit;  15 RR)
%            Number of atoms       :   48 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   52 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
%--------------------------------------------------------------------------
cnf(ha_defined,hypothesis,
    ( defined(h,a) )).

cnf(h_is_the_identity_map,hypothesis,
    ( identity_map(h) )).

cnf(prove_codomain_of_a_is_h,negated_conjecture,
    (  codomain(a) != h )).

%--------------------------------------------------------------------------
