%--------------------------------------------------------------------------
% File     : COL100-1 : TPTP v3.1.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : diamond_trancl_2c1
% Version  : Reduced > Especial.
% English  : diamond(r) ==> diamond(r^+)

% Refs     : [Men03] Meng (2003), Email to G. Sutcliffe
% Source   : [Men03]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;   8 unit;  17 RR)
%            Number of atoms       :   35 (  10 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   7 constant; 0-4 arity)
%            Number of variables   :   35 (   9 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : Problem coming out of an Isabelle proof.
%--------------------------------------------------------------------------
%----axioms from CombZF.thy.
%----free algebra for K, S, comb_app(P,Q).
cnf(k_s,axiom,
    (  combK != combS )).

cnf(k_app,axiom,
    (  combK != comb_app(P,Q) )).

cnf(s_app,axiom,
    (  combS != comb_app(P,Q) )).

cnf(app_app1,axiom,
    ( comb_app(P1,Q1) != comb_app(P2,Q2)
    | P1 = P2 )).

cnf(app_app2,axiom,
    ( comb_app(P1,Q1) != comb_app(P2,Q2)
    | Q1 = Q2 )).

cnf(app_app3,axiom,
    ( P1 != P2
    | Q1 != Q2
    | comb_app(P1,Q1) = comb_app(P2,Q2) )).

%----axiom r_intro_trancl, trans_trancl, transD, diamond_strip_lemmaD are needed here locally.
cnf(r_into_trancl,axiom,
    ( ~ member(pair(A,B),R)
    | member(pair(A,B),trancl(R)) )).

cnf(trans_trancl,axiom,
    ( trans(trancl(R)) )).

cnf(transD,axiom,
    ( ~ trans(R)
    | ~ member(pair(A,B),R)
    | ~ member(pair(B,C),R)
    | member(pair(A,C),R) )).

cnf(diamond_strip_lemmaD1,axiom,
    ( ~ diamond(R)
    | ~ member(pair(X,Y),trancl(R))
    | ~ member(pair(X,YP),R)
    | member(pair(YP,diamond_strip_lemmaD_sk1(X,Y,YP,R)),trancl(R)) )).

cnf(diamond_strip_lemmaD2,axiom,
    ( ~ diamond(R)
    | ~ member(pair(X,Y),trancl(R))
    | ~ member(pair(X,YP),R)
    | member(pair(Y,diamond_strip_lemmaD_sk1(X,Y,YP,R)),R) )).

cnf(diamond_trancl_2h1,hypothesis,
    ( diamond(r) )).

cnf(diamond_trancl_2h2,hypothesis,
    ( member(pair(y,ya),trancl(r)) )).

cnf(diamond_trancl_2h3,hypothesis,
    ( member(pair(ya,z),r) )).

cnf(diamond_trancl_2h4,hypothesis,
    ( ~ member(pair(y,YP),trancl(r))
    | member(pair(ya,sk1(YP)),trancl(r)) )).

cnf(diamond_trancl_2h5,hypothesis,
    ( ~ member(pair(y,YP),trancl(r))
    | member(pair(YP,sk1(YP)),trancl(r)) )).

cnf(diamond_trancl_2c1,negated_conjecture,
    ( member(pair(y,yp),trancl(r)) )).

cnf(diamond_trancl_2c2,negated_conjecture,
    ( ~ member(pair(z,ZA),trancl(r))
    | ~ member(pair(yp,ZA),trancl(r)) )).

%--------------------------------------------------------------------------
