%--------------------------------------------------------------------------
% File     : FLD035-3 : TPTP v3.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Elimination of a multiplication in an equation
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0, 0.20 v2.3.0, 0.33 v2.2.1, 0.67 v2.1.0
% Syntax   : Number of clauses     :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of atoms       :   85 (   0 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :   10 (   6 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(c_is_defined,hypothesis,
    ( defined(c) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(product_5,negated_conjecture,
    ( product(a,c,u) )).

cnf(product_6,negated_conjecture,
    ( product(b,c,u) )).

cnf(not_sum_7,negated_conjecture,
    ( ~ sum(additive_identity,c,additive_identity) )).

cnf(not_product_8,negated_conjecture,
    ( ~ product(multiplicative_identity,a,b) )).

%--------------------------------------------------------------------------
