%--------------------------------------------------------------------------
% File     : FLD098-2 : TPTP v3.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :   42 (   3 non-Horn;  18 unit;  42 RR)
%            Number of atoms       :   88 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   13 (   9 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(v_is_defined,hypothesis,
    ( defined(v) )).

cnf(w_is_defined,hypothesis,
    ( defined(w) )).

cnf(s_is_defined,hypothesis,
    ( defined(s) )).

cnf(t_is_defined,hypothesis,
    ( defined(t) )).

cnf(less_or_equal_8,negated_conjecture,
    ( less_or_equal(additive_identity,a) )).

cnf(less_or_equal_9,negated_conjecture,
    ( less_or_equal(additive_identity,b) )).

cnf(add_equals_u_10,negated_conjecture,
    ( equalish(add(multiplicative_identity,additive_inverse(a)),u) )).

cnf(add_equals_v_11,negated_conjecture,
    ( equalish(add(multiplicative_identity,additive_inverse(b)),v) )).

cnf(multiply_equals_w_12,negated_conjecture,
    ( equalish(multiply(u,v),w) )).

cnf(add_equals_s_13,negated_conjecture,
    ( equalish(add(a,b),s) )).

cnf(add_equals_t_14,negated_conjecture,
    ( equalish(add(multiplicative_identity,additive_inverse(s)),t) )).

cnf(not_less_or_equal_15,negated_conjecture,
    ( ~ less_or_equal(t,w) )).

%--------------------------------------------------------------------------
