%--------------------------------------------------------------------------
% File     : GEO004-2 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Every line segment has a midpoint
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : T4 [Qua89]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   19 (   5 non-Horn;   6 unit;  16 RR)
%            Number of atoms       :   58 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   5 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(prove_midpoint,negated_conjecture,
    ( ~ between(a,midpoint(a,b),b)
    | ~ equidistant(a,midpoint(a,b),b,midpoint(a,b)) )).

%--------------------------------------------------------------------------
