%--------------------------------------------------------------------------
% File     : GEO061-2 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Theorem of point insertion
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   5 non-Horn;   7 unit;  18 RR)
%            Number of atoms       :   64 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   8 constant; 0-6 arity)
%            Number of variables   :   75 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of insertion 
include('Axioms/GEO002-3.ax').
%--------------------------------------------------------------------------
cnf(part_1,negated_conjecture,
    ( ~ equidistant(u,v,u1,insertion(u1,w1,u,v))
    | between(u,v,w) )).

cnf(part_2,negated_conjecture,
    ( ~ equidistant(u,v,u1,insertion(u1,w1,u,v))
    | equidistant(u,w,u1,w1) )).

cnf(part_3,negated_conjecture,
    ( ~ equidistant(u,v,u1,insertion(u1,w1,u,v))
    | ~ between(u1,insertion(u1,w1,u,v),w1)
    | ~ equidistant(v,w,insertion(u1,w1,u,v),w1) )).

%--------------------------------------------------------------------------
