%--------------------------------------------------------------------------
% File     : GEO090-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Meeting point of curves on a subcurve
% Version  : [EHK99] axioms.
% English  : If a point P is a meeting point of two curves and lies on a 
%            sub-curve of one of the two curves then P is also meeting point 
%            of the sub-curve and the other curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.92 v3.1.0, 0.91 v2.7.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :   52 (  21 non-Horn;   5 unit;  47 RR)
%            Number of atoms       :  158 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO090+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(corollary_2_12_67,negated_conjecture,
    ( part_of(sk15,sk14) )).

cnf(corollary_2_12_68,negated_conjecture,
    ( incident_c(sk17,sk15) )).

cnf(corollary_2_12_69,negated_conjecture,
    ( meet(sk17,sk14,sk16) )).

cnf(corollary_2_12_70,negated_conjecture,
    ( ~ meet(sk17,sk15,sk16) )).

%--------------------------------------------------------------------------
