%--------------------------------------------------------------------------
% File     : GEO092-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common point of open sum is the meeting point
% Version  : [EHK99] axioms.
% English  : If two curves meet and their sum is open, then the only point 
%            they have in common is their meeting-point.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v3.1.0, 0.91 v2.7.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :   53 (  21 non-Horn;   6 unit;  48 RR)
%            Number of atoms       :  159 (  22 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO092+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(proposition_2_14_1_67,negated_conjecture,
    ( meet(sk16,sk14,sk15) )).

cnf(proposition_2_14_1_68,negated_conjecture,
    ( open(sum(sk14,sk15)) )).

cnf(proposition_2_14_1_69,negated_conjecture,
    (  sk17 != sk16 )).

cnf(proposition_2_14_1_70,negated_conjecture,
    ( incident_c(sk17,sk14) )).

cnf(proposition_2_14_1_71,negated_conjecture,
    ( incident_c(sk17,sk15) )).

%--------------------------------------------------------------------------
