%--------------------------------------------------------------------------
% File     : GEO094-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Meeting point is not an endpoint of contianing curve
% Version  : [EHK99] axioms.
% English  : A meeting point of two curves is not an endpoint of any curve 
%            that includes both as sub-curves.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.23 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses     :   52 (  21 non-Horn;   5 unit;  47 RR)
%            Number of atoms       :  158 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO094+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(proposition_2_14_3_67,negated_conjecture,
    ( meet(sk17,sk15,sk16) )).

cnf(proposition_2_14_3_68,negated_conjecture,
    ( part_of(sk15,sk14) )).

cnf(proposition_2_14_3_69,negated_conjecture,
    ( part_of(sk16,sk14) )).

cnf(proposition_2_14_3_70,negated_conjecture,
    ( end_point(sk17,sk14) )).

%--------------------------------------------------------------------------
