%--------------------------------------------------------------------------
% File     : GEO114-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 4
% Version  : [EHK99] axioms.
% English  : If P, Q and R are distinct and on c then one of the points is 
%            between the others wrt. c.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   63 (  22 non-Horn;  10 unit;  58 RR)
%            Number of atoms       :  179 (  26 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :   19 (   4 constant; 0-4 arity)
%            Number of variables   :  151 (  12 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO114+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%--------------------------------------------------------------------------
cnf(theorem_3_8_4_77,negated_conjecture,
    ( incident_c(sk16,sk15) )).

cnf(theorem_3_8_4_78,negated_conjecture,
    ( incident_c(sk17,sk15) )).

cnf(theorem_3_8_4_79,negated_conjecture,
    ( incident_c(sk18,sk15) )).

cnf(theorem_3_8_4_80,negated_conjecture,
    (  sk16 != sk17 )).

cnf(theorem_3_8_4_81,negated_conjecture,
    (  sk17 != sk18 )).

cnf(theorem_3_8_4_82,negated_conjecture,
    (  sk16 != sk18 )).

cnf(theorem_3_8_4_83,negated_conjecture,
    ( ~ between_c(sk15,sk16,sk17,sk18) )).

cnf(theorem_3_8_4_84,negated_conjecture,
    ( ~ between_c(sk15,sk17,sk16,sk18) )).

cnf(theorem_3_8_4_85,negated_conjecture,
    ( ~ between_c(sk15,sk16,sk18,sk17) )).

%--------------------------------------------------------------------------
