%--------------------------------------------------------------------------
% File     : GEO150-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Objects cannot be at two places simultaneously
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :  112 (  42 non-Horn;   6 unit; 100 RR)
%            Number of atoms       :  330 (  42 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :   34 (   3 constant; 0-5 arity)
%            Number of variables   :  310 (  19 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO150+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
%--------------------------------------------------------------------------
cnf(t16_156,negated_conjecture,
    ( once(at_the_same_time(at(sk29,sk27),at(sk29,sk28))) )).

cnf(t16_157,negated_conjecture,
    (  sk27 != sk28 )).

%--------------------------------------------------------------------------
