%--------------------------------------------------------------------------
% File     : GRP035-3 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, product is closed
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 15 [Wos65]
%          : wos15 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   9 unit;   8 RR)
%            Number of atoms       :   24 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   25 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proves one of the [MOW76] axioms.
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
cnf(a_is_in_subgroup,hypothesis,
    ( subgroup_member(a) )).

cnf(b_is_in_subgroup,hypothesis,
    ( subgroup_member(b) )).

cnf(a_times_b_is_c,hypothesis,
    ( product(a,b,c) )).

cnf(prove_c_is_in_subgroup,negated_conjecture,
    ( ~ subgroup_member(c) )).

%--------------------------------------------------------------------------
