%--------------------------------------------------------------------------
% File     : GRP106-1 : TPTP v3.1.0. Bugfixed v2.7.0.
% Domain   : Group Theory (Abelian)
% Problem  : Single axiom for Abelian group theory, in double div and inv
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for Abelian group theory, in terms 
%            of double division and inverse.

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.12.3 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.1.0, 0.20 v2.7.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   12 (   9 constant; 0-2 arity)
%            Number of variables   :    5 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted division, added multiply.
%          : v2.7.0 - Grounded conjecture
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( inverse(double_divide(double_divide(X,Y),inverse(double_divide(X,inverse(double_divide(Z,Y)))))) = Z )).

%----Definition of multiply
cnf(multiply,axiom,
    ( multiply(X,Y) = inverse(double_divide(Y,X)) )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3))
    | multiply(a4,b4) != multiply(b4,a4) )).

%--------------------------------------------------------------------------
