%--------------------------------------------------------------------------
% File     : GRP175-3 : TPTP v3.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Positivity is preserved under inner automorphisms
% Version  : [Fuc94] (equality) axioms.
%            Theorem formulation : Variant, and using different definitions 
%            for =<.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p06c [Sch95] 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :   17 (   0 non-Horn;  17 unit;   2 RR)
%            Number of atoms       :   17 (  17 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   33 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p06c_1,hypothesis,
    ( least_upper_bound(identity,b) = b )).

cnf(prove_p06c,negated_conjecture,
    (  greatest_lower_bound(identity,multiply(inverse(a),multiply(b,a))) != identity )).

%--------------------------------------------------------------------------
