%--------------------------------------------------------------------------
% File     : GRP193-2 : TPTP v3.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : A combination of distributivity and monotonicity
% Version  : [Fuc94] (equality) axioms.
%            Theorem formulation : Using a dual definition of =<.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p8_9b [Sch95] 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.44 v2.2.0, 0.43 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :   21 (   0 non-Horn;  21 unit;   6 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   33 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : ORDERING LPO greatest_lower_bound > least_upper_bound >
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p8_9b_1,hypothesis,
    ( greatest_lower_bound(identity,a) = identity )).

cnf(p8_9b_2,hypothesis,
    ( greatest_lower_bound(identity,b) = identity )).

cnf(p8_9b_3,hypothesis,
    ( greatest_lower_bound(identity,c) = identity )).

cnf(p8_9b_4,hypothesis,
    ( greatest_lower_bound(a,b) = identity )).

cnf(p8_9b_5,hypothesis,
    ( greatest_lower_bound(greatest_lower_bound(a,multiply(b,c)),multiply(greatest_lower_bound(a,b),greatest_lower_bound(a,c))) = greatest_lower_bound(a,multiply(b,c)) )).

cnf(prove_p8_9b,negated_conjecture,
    (  greatest_lower_bound(a,multiply(b,c)) != greatest_lower_bound(a,c) )).

%--------------------------------------------------------------------------
