%--------------------------------------------------------------------------
% File     : GRP197-1 : TPTP v3.1.0. Released v2.2.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : In cancellative semigroups, xxxyy=yxxyx -> bbaaa = abaab.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-7 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.44 v3.1.0, 0.60 v2.7.0, 0.62 v2.6.0, 0.83 v2.5.0, 0.75 v2.4.0, 1.00 v2.2.1
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   3 unit;   3 RR)
%            Number of atoms       :    7 (   7 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    5 (   3 average)

% Comments : The original CS-7 uses a nonstandard form of cancellation. That's
%            been fixed here.
%--------------------------------------------------------------------------
%----Include cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----Hypothesis:
cnf(condition,hypothesis,
    ( multiply(X,multiply(X,multiply(X,multiply(Y,Y)))) = multiply(Y,multiply(X,multiply(X,multiply(Y,X)))) )).

%----Denial of conclusion:
cnf(prove_this,negated_conjecture,
    (  multiply(b,multiply(b,multiply(a,multiply(a,a)))) != multiply(a,multiply(b,multiply(a,multiply(a,b)))) )).

%--------------------------------------------------------------------------
