%--------------------------------------------------------------------------
% File     : HEN007-5 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [MOW76] (equality) axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp7.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   6 unit;   4 RR)
%            Number of atoms       :   12 (  12 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   12 (   3 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : less_equal replaced by divides
%--------------------------------------------------------------------------
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
cnf(transitivity_of_divide_to_zero,axiom,
    ( divide(X,Y) != zero
    | divide(Y,Z) != zero
    | divide(X,Z) = zero )).

cnf(a_divide_b_is_zero,hypothesis,
    ( divide(a,b) = zero )).

cnf(prove_property_of_divide2,negated_conjecture,
    (  divide(divide(c,b),divide(c,a)) != zero )).

%--------------------------------------------------------------------------
