%--------------------------------------------------------------------------
% File     : HEN010-5 : TPTP v3.1.0. Bugfixed v1.2.1.
% Domain   : Henkin Models
% Problem  : Define X' as identity/X. Then X' = X'/(identity/X')
% Version  : [MOW76] (equality) axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp10.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   5 unit;   4 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   18 (   3 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : less_equal replaced by divides
% Bugfixes : v1.2.1 - Clauses identity_divide_a_is_b,
%            identity_divide_b_is_c, b_divide_c_is_d, and
%            prove_inversion_property, removed.
%--------------------------------------------------------------------------
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
cnf(transitivity_of_divide_to_zero,axiom,
    ( divide(X,Y) != zero
    | divide(Y,Z) != zero
    | divide(X,Z) = zero )).

cnf(property_of_divide1,axiom,
    ( divide(divide(X,Y),Z) != zero
    | divide(divide(X,Z),Y) = zero )).

cnf(property_of_divide3,axiom,
    ( divide(X,Y) != zero
    | divide(divide(X,Z),divide(Y,Z)) = zero )).

cnf(prove_this,negated_conjecture,
    (  divide(identity,a) != divide(divide(identity,a),divide(identity,divide(identity,a))) )).

%----This is an alternate way of writing the theorem
%input_clause(identity_divide_a_is_b,hypothesis,
%    [++equal(divide(identity,a),b)]).
%
%input_clause(identity_divide_b_is_c,hypothesis,
%    [++equal(divide(identity,b),c)]).
%
%input_clause(b_divide_c_is_d,hypothesis,
%    [++equal(divide(b,c),d)]).
%
%input_clause(prove_inversion_property,negated_conjecture,
%    [--equal(d,b)]).
%--------------------------------------------------------------------------
