%--------------------------------------------------------------------------
% File     : HEN011-3 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : This operation is commutative
% Version  : [MOW76] axioms.
% English  : Define & on the set of Z', where Z' = identity/Z, 
%            by X' & Y'=X'/(identity/Y'). The operation is commutative.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : HP11 [ANL]

% Status   : Unsatisfiable
% Rating   : 0.14 v3.1.0, 0.33 v2.7.0, 0.17 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.86 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  10 unit;   9 RR)
%            Number of atoms       :   17 (   9 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   8 constant; 0-2 arity)
%            Number of variables   :   13 (   3 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
%--------------------------------------------------------------------------
cnf(part_of_theorem,hypothesis,
    (  divide(divide(identity,a),divide(identity,divide(identity,b))) != divide(divide(identity,b),divide(identity,divide(identity,a))) )).

cnf(identity_divide_a,hypothesis,
    ( divide(identity,a) = c )).

cnf(identity_divide_b,hypothesis,
    ( divide(identity,b) = d )).

cnf(identity_divide_c,hypothesis,
    ( divide(identity,c) = e )).

cnf(identity_divide_d,hypothesis,
    ( divide(identity,d) = g )).

cnf(prove_commutativity,negated_conjecture,
    (  divide(c,g) != divide(d,e) )).

%--------------------------------------------------------------------------
