%--------------------------------------------------------------------------
% File     : LAT003-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Lattice Theory
% Problem  : A fairly complex equation to establish
% Version  : [McC88] (equality) axioms.
% English  : If X' = U v V and Y' = U ^ V and U" = UC and V" = VC then 
%            (U v V)' = UC ^ VC. " means unique complement.

% Refs     : [Bum65] Bumcroft (1965), Proceedings of the Glasgow Mathematic
%          : [GO+69] Guard et al. (1969), Semi-Automated Mathematics
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
% Source   : [McC88]
% Names    : L2 [McC88]

% Status   : Unsatisfiable
% Rating   : 0.85 v3.1.0, 0.91 v2.7.0, 0.92 v2.6.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   25 (   1 non-Horn;  17 unit;  12 RR)
%            Number of atoms       :   37 (  20 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :   11 (   8 constant; 0-2 arity)
%            Number of variables   :   38 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : Bumcroft's open question.
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%----Include modular lattice axioms 
include('Axioms/LAT001-1.ax').
%----Include definition of complement 
include('Axioms/LAT001-2.ax').
%----Include definition of unique complement 
include('Axioms/LAT001-3.ax').
%--------------------------------------------------------------------------
cnf(complement_of_a_join_b,hypothesis,
    ( complement(r1,join(a,b)) )).

cnf(complement_of_a_meet_b,hypothesis,
    ( complement(r2,meet(a,b)) )).

cnf(unique_complement_of_a,hypothesis,
    ( unique_complement(a,a2) )).

cnf(unique_complement_of_b,hypothesis,
    ( unique_complement(b,b2) )).

cnf(prove_complement,negated_conjecture,
    ( ~ complement(join(a,b),meet(a2,b2)) )).

%--------------------------------------------------------------------------
