%--------------------------------------------------------------------------
% File     : LAT005-4 : TPTP v3.1.0. Released v1.1.0.
% Domain   : Lattice Theory
% Problem  : SAM's lemma
% Version  : [McC88] (equality) axioms.
%            Theorem formulation : No explicit complement.
% English  : Let L be a modular lattice with 0 and 1.  Suppose that A and 
%            B are elements of L such that (A v B) and (A ^ B) both have 
%            not necessarily unique complements. Then, (A v B)' = 
%            ((A v B)' v ((A ^ B)' ^ B)) ^ ((A v B)' v ((A ^ B)' ^ A)).

% Refs     : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [Wos88]
% Names    : Test Problem 12 [Wos88]
%          : SAM's lemma [Wos88]
%          : LT-2 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.1.0, 0.20 v2.7.0, 0.25 v2.6.0, 0.17 v2.5.0, 0.50 v2.4.0, 0.50 v2.2.1, 0.67 v2.2.0, 0.75 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   0 non-Horn;  19 unit;   7 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   8 constant; 0-2 arity)
%            Number of variables   :   23 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : The [Wos88] version has four redundant axioms that are not
%            included here.
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%----Include modular lattice axioms 
include('Axioms/LAT001-1.ax').
%--------------------------------------------------------------------------
cnf(r2_complement_meet_a_b_1,negated_conjecture,
    ( join(r2,meet(a,b)) = n1 )).

cnf(r2_complement_meet_a_b_2,negated_conjecture,
    ( meet(r2,meet(a,b)) = n0 )).

cnf(r1_complement_join_a_b_1,negated_conjecture,
    ( join(r1,join(a,b)) = n1 )).

cnf(r1_complement_join_a_b_2,negated_conjecture,
    ( meet(r1,join(a,b)) = n0 )).

cnf(define_b2,negated_conjecture,
    ( join(r1,meet(a,r2)) = b2 )).

cnf(define_a2,negated_conjecture,
    ( join(r1,meet(b,r2)) = a2 )).

cnf(prove_SAMs_lemma,negated_conjecture,
    (  meet(a2,b2) != r1 )).

%--------------------------------------------------------------------------
