%--------------------------------------------------------------------------
% File     : LAT005-5 : TPTP v3.1.0. Released v1.1.0.
% Domain   : Lattice Theory
% Problem  : SAM's lemma
% Version  : [MOW76] axioms : Incomplete > Reduced & Augmented > Complete.
% English  : Let L be a modular lattice with 0 and 1.  Suppose that A and 
%            B are elements of L such that (A v B) and (A ^ B) both have 
%            not necessarily unique complements. Then, (A v B)' = 
%            ((A v B)' v ((A ^ B)' ^ B)) ^ ((A v B)' v ((A ^ B)' ^ A)).

% Refs     : [GO+69] Guard et al. (1969), Semi-Automated Mathematics
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : SAMslemma.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.22 v2.7.0, 0.17 v2.6.0, 0.29 v2.5.0, 0.00 v2.4.0, 0.00 v2.3.0, 0.17 v2.2.1, 0.78 v2.2.0, 0.71 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses     :   31 (   0 non-Horn;  19 unit;  23 RR)
%            Number of atoms       :   59 (   2 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   14 (  12 constant; 0-2 arity)
%            Number of variables   :   66 (   4 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This uses the fixed version of the [MOW76] axioms.
%--------------------------------------------------------------------------
%----Include Lattice theory axioms 
include('Axioms/LAT002-0.ax').
%--------------------------------------------------------------------------
%----Negation of Sams Lemma :
%----This version is not as it appears in [McCharen, et al., 1986] Rather 
%----it has been taken from the OTTER version, which corresponds to [Wos, 
%----1988] 
cnf(meet_a_and_b,negated_conjecture,
    ( meet(a,b,c) )).

cnf(join_c_and_r2,negated_conjecture,
    ( join(c,r2,n1) )).

cnf(meet_c_and_r2,negated_conjecture,
    ( meet(c,r2,n0) )).

cnf(meet_r2_and_b,negated_conjecture,
    ( meet(r2,b,e) )).

cnf(join_a_and_b,negated_conjecture,
    ( join(a,b,c2) )).

cnf(join_c2_and_r1,negated_conjecture,
    ( join(c2,r1,n1) )).

cnf(meet_c2_and_r1,negated_conjecture,
    ( meet(c2,r1,n0) )).

cnf(meet_r2_and_a,negated_conjecture,
    ( meet(r2,a,d) )).

cnf(join_r1_and_e,negated_conjecture,
    ( join(r1,e,a2) )).

cnf(join_r1_and_d,negated_conjecture,
    ( join(r1,d,b2) )).

cnf(meet_a2_and_b2,negated_conjecture,
    ( ~ meet(a2,b2,r1) )).

%--------------------------------------------------------------------------
