%--------------------------------------------------------------------------
% File     : LAT010-1 : TPTP v3.1.0. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : McKenzie's basis for the variety generated by N5.
% Version  : [MP96] (equality) axioms : Especial.
% English  : McKenzie's basis for the variety generated by N5.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-6 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :   12 (   0 non-Horn;  12 unit;   1 RR)
%            Number of atoms       :   12 (  12 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   27 (   2 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments :
%--------------------------------------------------------------------------
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Hypotheses:
cnf(n5_1,hypothesis,
    ( meet(X,join(Y,meet(Z,join(X,U)))) = join(meet(X,join(Y,meet(X,Z))),meet(X,join(meet(X,Y),meet(Z,U)))) )).

cnf(n5_2,hypothesis,
    ( join(X,meet(Y,join(Z,meet(X,U)))) = meet(join(X,meet(Y,join(X,Z))),join(X,meet(join(X,Y),join(Z,U)))) )).

cnf(nr_3,hypothesis,
    ( meet(join(X,meet(Y,Z)),join(Z,meet(X,Y))) = join(meet(Z,join(X,meet(Y,Z))),meet(X,join(Y,Z))) )).

%----Denial of the conclusion:
cnf(prove_this,negated_conjecture,
    (  meet(a,meet(join(b,c),join(b,d))) != meet(meet(a,meet(join(b,c),join(b,d))),join(meet(a,join(b,meet(c,d))),join(meet(a,c),meet(a,d)))) )).

%--------------------------------------------------------------------------
