%--------------------------------------------------------------------------
% File     : LAT062-1 : TPTP v3.1.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : E51 does not necessarily hold in ortholattices
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : ol-e51 [EF+02]

% Status   : Satisfiable
% Rating   : 0.67 v3.1.0, 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;  12 unit;   1 RR)
%            Number of atoms       :   12 (  12 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   20 (   2 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Ortholattice axioms
cnf(top,axiom,
    ( join(complement(A),A) = n1 )).

cnf(bottom,axiom,
    ( meet(complement(A),A) = n0 )).

cnf(compatibility,axiom,
    ( meet(A,B) = complement(join(complement(A),complement(B))) )).

%----Denial of E51
cnf(prove_e51,negated_conjecture,
    (  meet(join(a,complement(b)),join(join(meet(a,b),meet(complement(a),b)),meet(complement(a),complement(b)))) != join(meet(a,b),meet(complement(a),complement(b))) )).

%--------------------------------------------------------------------------
