%--------------------------------------------------------------------------
% File     : LAT066-1 : TPTP v3.1.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Weak property G61 to make a uniquely complemented lattice Boolean
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : lattice-uc [EF+02]

% Status   : Unsatisfiable
% Rating   : 0.56 v3.1.0, 0.40 v2.7.0, 1.00 v2.5.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  12 unit;   2 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   24 (   2 singleton)
%            Maximal term depth    :    7 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Complementation
cnf(top,axiom,
    ( join(A,complement(A)) = n1 )).

cnf(bottom,axiom,
    ( meet(A,complement(A)) = n0 )).

%----Complements are unique
cnf(complements_are_unique,axiom,
    ( join(A,B) != n1
    | meet(A,B) != n0
    | complement(A) = B )).

%----G61
cnf(g61,axiom,
    ( meet(A,join(B,join(C,meet(D,join(A,meet(B,C)))))) = meet(A,join(B,join(C,meet(A,D)))) )).

%----Denial of distributivity
cnf(prove_distributivity,negated_conjecture,
    (  meet(a,join(b,c)) != join(meet(a,b),meet(a,c)) )).

%--------------------------------------------------------------------------
