%------------------------------------------------------------------------------
% File     : LAT111-1 : TPTP v3.1.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H40 is independent of H45
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H45 does not imply Huntington 
%            equation H40 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.67 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   20 (   2 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H45,axiom,
    ( meet(X,meet(Y,join(Z,meet(X,U)))) = meet(X,meet(Y,join(Z,meet(U,join(X,meet(Y,Z)))))) )).

cnf(prove_H40,negated_conjecture,
    (  meet(a,join(b,meet(c,join(a,d)))) != meet(a,join(b,meet(c,join(d,meet(c,join(a,b)))))) )).

%------------------------------------------------------------------------------
