%--------------------------------------------------------------------------
% File     : LCL165-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in Wajsberg algebras
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Third problem [Bon91]

% Status   : Satisfiable
% Rating   : 0.67 v3.1.0, 0.33 v2.5.0, 0.67 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;  11 unit;   1 RR)
%            Number of atoms       :   11 (  11 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra and and or definitions 
include('Axioms/LCL001-2.ax').
%--------------------------------------------------------------------------
cnf(prove_wajsberg_theorem,negated_conjecture,
    (  not(or(and(x,or(x,x)),and(x,x))) != and(not(x),or(or(not(x),not(x)),and(not(x),not(x)))) )).

%--------------------------------------------------------------------------
