%--------------------------------------------------------------------------
% File     : LDA007-1 : TPTP v3.1.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that t(tsg) = tt(ts)(tg)
% Version  : [Jec93] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 7 [Jec93]

% Status   : Unsatisfiable
% Rating   : 0.15 v3.1.0, 0.18 v2.7.0, 0.17 v2.6.0
% Syntax   : Number of clauses     :   20 (   2 non-Horn;  15 unit;  14 RR)
%            Number of atoms       :   27 (  16 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :   15 (  12 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
cnf(clause_1,axiom,
    ( tt = f(t,t) )).

cnf(clause_2,axiom,
    ( st = f(s,t) )).

cnf(clause_3,axiom,
    ( ts = f(t,s) )).

cnf(clause_4,axiom,
    ( tt_ts = f(tt,ts) )).

cnf(clause_5,axiom,
    ( k = critical_point(t) )).

cnf(clause_6,axiom,
    ( sk = f(s,k) )).

cnf(clause_7,axiom,
    ( tk = f(t,k) )).

cnf(clause_8,axiom,
    ( stk = f(st,k) )).

cnf(clause_9,axiom,
    ( tsk = f(ts,k) )).

cnf(clause_10,axiom,
    ( ttk = f(tt,k) )).

%---- t(tsk) = tt(ts)(tk), where k=crit(t) 
cnf(prove_equation,negated_conjecture,
    (  f(t,tsk) != f(tt_ts,tk) )).

%--------------------------------------------------------------------------
