%--------------------------------------------------------------------------
% File     : LDA013-1 : TPTP v3.1.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that aag <= ag, t=a
% Version  : [Jec93] axioms : Incomplete.
% English  : This is the base step of an induction proof.

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Conjecture 1 [Jec93]

% Status   : Unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses     :   14 (   2 non-Horn;   9 unit;   8 RR)
%            Number of atoms       :   21 (   9 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
cnf(clause_1,axiom,
    ( k = critical_point(aconst) )).

cnf(clause_2,axiom,
    ( aa = f(aconst,aconst) )).

cnf(clause_3,axiom,
    ( aak = f(aa,k) )).

cnf(clause_4,axiom,
    ( ak = f(aconst,k) )).

%----aak <= ak 
cnf(prove_equation,negated_conjecture,
    ( less(ak,aak) )).

%--------------------------------------------------------------------------
