%--------------------------------------------------------------------------
% File     : MGT038-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : FMs become extinct in stable environments
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : First movers become extinct past a certain point in time 
%            in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.20 v3.1.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;   3 unit;  12 RR)
%            Number of atoms       :   31 (   2 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    7 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   15 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT038+1.p 
%--------------------------------------------------------------------------
cnf(mp7_first_movers_exist_17,axiom,
    ( finite_set(first_movers) )).

cnf(mp_stable_first_movers_18,axiom,
    ( ~ environment(A)
    | ~ stable(A)
    | in_environment(A,appear(first_movers,A)) )).

cnf(mp_contracting_time_19,axiom,
    ( ~ finite_set(A)
    | ~ contracts_from(B,A)
    | greater(sk1(B,A),B) )).

cnf(mp_contracting_time_20,axiom,
    ( ~ finite_set(A)
    | ~ contracts_from(B,A)
    | cardinality_at_time(s,t2) = zero )).

cnf(mp_long_stable_environments_21,axiom,
    ( ~ environment(A)
    | ~ stable(A)
    | ~ in_environment(A,B)
    | ~ greater(C,B)
    | in_environment(A,C) )).

cnf(mp_greater_transitivity_22,axiom,
    ( ~ greater(A,B)
    | ~ greater(B,C)
    | greater(A,C) )).

cnf(l9_23,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | greater(sk2(A),appear(efficient_producers,A)) )).

cnf(l9_24,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | contracts_from(sk2(A),first_movers) )).

cnf(a13_25,hypothesis,
    ( ~ environment(A)
    | greater(appear(efficient_producers,e),appear(first_movers,A)) )).

cnf(prove_t7_26,negated_conjecture,
    ( environment(sk3) )).

cnf(prove_t7_27,negated_conjecture,
    ( stable(sk3) )).

cnf(prove_t7_28,negated_conjecture,
    ( ~ in_environment(sk3,A)
    | ~ greater(A,appear(first_movers,sk3))
    | cardinality_at_time(first_movers,to) != zero )).

%--------------------------------------------------------------------------
