%--------------------------------------------------------------------------
% File     : NLP003-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 3
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [TPTP]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses     :   52 (   0 non-Horn;  15 unit;  50 RR)
%            Number of atoms       :   97 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   37 (   0 propositional; 1-3 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :   53 (   8 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created from NLP003+1.p using FLOTTER
%--------------------------------------------------------------------------
cnf(clause1,axiom,
    ( event(skf1(U,V)) )).

cnf(clause2,axiom,
    ( ~ nonhuman(U)
    | entity(U) )).

cnf(clause3,axiom,
    ( ~ drs(U)
    | proposition(U) )).

cnf(clause4,axiom,
    ( ~ proposition(U)
    | drs(U) )).

cnf(clause5,axiom,
    ( ~ woman(U)
    | female(U) )).

cnf(clause6,axiom,
    ( ~ female(U)
    | human(U) )).

cnf(clause7,axiom,
    ( ~ male(U)
    | human(U) )).

cnf(clause8,axiom,
    ( ~ man(U)
    | male(U) )).

cnf(clause9,axiom,
    ( ~ object(U)
    | entity(U) )).

cnf(clause10,axiom,
    ( ~ location(U)
    | object(U) )).

cnf(clause11,axiom,
    ( ~ city(U)
    | location(U) )).

cnf(clause12,axiom,
    ( ~ hollywood(U)
    | city(U) )).

cnf(clause13,axiom,
    ( ~ event(U)
    | eventuality(U) )).

cnf(clause14,axiom,
    ( ~ artifact(U)
    | object(U) )).

cnf(clause15,axiom,
    ( ~ way(U)
    | artifact(U) )).

cnf(clause16,axiom,
    ( ~ street(U)
    | way(U) )).

cnf(clause17,axiom,
    ( ~ instrumentality(U)
    | artifact(U) )).

cnf(clause18,axiom,
    ( ~ transport(U)
    | instrumentality(U) )).

cnf(clause19,axiom,
    ( ~ vehicle(U)
    | transport(U) )).

cnf(clause20,axiom,
    ( ~ car(U)
    | vehicle(U) )).

cnf(clause21,axiom,
    ( ~ chevy(U)
    | car(U) )).

cnf(clause22,axiom,
    ( ~ nonhuman(U)
    | ~ human(U) )).

cnf(clause23,axiom,
    ( ~ woman(U)
    | ~ man(U) )).

cnf(clause24,axiom,
    ( ~ female(U)
    | ~ male(U) )).

cnf(clause25,axiom,
    ( ~ eventuality(U)
    | ~ abstraction(U) )).

cnf(clause26,axiom,
    ( ~ entity(U)
    | ~ abstraction(U) )).

cnf(clause27,axiom,
    ( ~ entity(U)
    | ~ eventuality(U) )).

cnf(clause28,axiom,
    ( ~ new(U)
    | ~ old(U) )).

cnf(clause29,axiom,
    ( ~ location(U)
    | ~ artifact(U) )).

cnf(clause30,axiom,
    ( ~ way(U)
    | ~ instrumentality(U) )).

cnf(clause31,axiom,
    ( ~ owner(U)
    | ~ of(U,V)
    | human(U) )).

cnf(clause32,axiom,
    ( ~ of(U,V)
    | have(skf1(U,V),V,U) )).

cnf(clause33,axiom,
    ( ~ human(U)
    | ~ have(V,U,W)
    | owner(U) )).

cnf(clause34,axiom,
    ( ~ partof(U,V)
    | ~ partof(U,W)
    | W = V )).

cnf(clause35,axiom,
    ( ~ have(U,V,W)
    | ~ event(U)
    | of(V,W) )).

cnf(clause36,axiom,
    ( ~ human(U)
    | ~ have(V,U,W)
    | of(U,W) )).

cnf(clause37,axiom,
    ( ~ owner(U)
    | ~ of(U,V)
    | have(W,U,V) )).

cnf(clause38,axiom,
    ( ~ nonhuman(U)
    | ~ nonhuman(V)
    | ~ have(W,V,U)
    | partof(U,V) )).

cnf(clause39,negated_conjecture,
    ( hollywood(skc7) )).

cnf(clause40,negated_conjecture,
    ( city(skc7) )).

cnf(clause41,negated_conjecture,
    ( event(skc6) )).

cnf(clause42,negated_conjecture,
    ( chevy(skc5) )).

cnf(clause43,negated_conjecture,
    ( car(skc5) )).

cnf(clause44,negated_conjecture,
    ( white(skc5) )).

cnf(clause45,negated_conjecture,
    ( dirty(skc5) )).

cnf(clause46,negated_conjecture,
    ( old(skc5) )).

cnf(clause47,negated_conjecture,
    ( lonely(skc4) )).

cnf(clause48,negated_conjecture,
    ( way(skc4) )).

cnf(clause49,negated_conjecture,
    ( street(skc4) )).

cnf(clause50,negated_conjecture,
    ( in(skc6,skc7) )).

cnf(clause51,negated_conjecture,
    ( down(skc6,skc4) )).

cnf(clause52,negated_conjecture,
    ( barrel(skc6,skc5) )).

%--------------------------------------------------------------------------
