%--------------------------------------------------------------------------
% File     : NUM005-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Greatest Common Divisor
% Version  : [WB87] axioms : Reduced & Augmented > Complete.
% English  : If GCD(a,b) is the greatest common divisor of two positive 
%            a, b, then for any positive integer d, GCD(a*d,b*d) 
%            = GCD(a,b)*d.

% Refs     : [Wan85] Wang (1985), Designing Examples for Semantically Guide
%          : [WB87]  Wang & Bledsoe (1987), Hierarchical Deduction
% Source   : [WB87]
% Names    : gcd [Wan85]
%          : GCD [WB87]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   23 (   2 non-Horn;  10 unit;  14 RR)
%            Number of atoms       :   49 (   3 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   4 constant; 0-3 arity)
%            Number of variables   :   56 (   6 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The axiom number 4. in [WB87] is omitted because it can be
%            derived from axioms 2 and 3.
%          : [WB87]'s version uses a built in commutative unification system.
%            I've added the axioms for this.
%--------------------------------------------------------------------------
cnf(reflexivity_of_divides,axiom,
    ( divides(X,X) )).

cnf(transitivity_of_divides,axiom,
    ( divides(X,Z)
    | ~ divides(X,Y)
    | ~ divides(Y,Z) )).

cnf(operand_divides_product,axiom,
    ( divides(X,multiply(X,Y)) )).

cnf(divides_and_multiply,axiom,
    ( divides(multiply(X,Y),multiply(X,Z))
    | ~ divides(Y,Z) )).

cnf(one_divides_everything,axiom,
    ( divides(quotient(X,X),Y) )).

cnf(divides_quotient_multiply1,axiom,
    ( divides(X,multiply(Y,Z))
    | ~ divides(Y,X)
    | ~ divides(quotient(X,Y),Z) )).

cnf(divides_quotient_multiply2,axiom,
    ( divides(X,quotient(Y,Z))
    | ~ divides(Z,Y)
    | ~ divides(multiply(X,Z),Y) )).

cnf(divides_quotient_multiply3,axiom,
    ( divides(quotient(X,Y),Z)
    | ~ divides(Y,X)
    | ~ divides(X,multiply(Y,Z)) )).

cnf(gcd_divides1,axiom,
    ( divides(U,Y)
    | ~ gcd(X,Y,U) )).

cnf(gcd_divides2,axiom,
    ( divides(U,X)
    | ~ gcd(X,Y,U) )).

cnf(divides_k1,axiom,
    ( divides(k(Y,X),X) )).

cnf(divides_k2,axiom,
    ( divides(k(Y,X),Y) )).

cnf(divides_k3,axiom,
    ( divides(V,k(Y,X))
    | ~ divides(V,X)
    | ~ divides(V,Y) )).

cnf(gcd1,axiom,
    ( divides(V,U)
    | ~ divides(V,X)
    | ~ divides(V,Y)
    | ~ gcd(X,Y,U) )).

cnf(gcd2,axiom,
    ( gcd(X,Y,U)
    | ~ divides(U,X)
    | ~ divides(U,Y)
    | divides(h(Y,X,U),X) )).

cnf(gcd3,axiom,
    ( gcd(X,Y,U)
    | ~ divides(U,X)
    | ~ divides(U,Y)
    | divides(h(Y,X,U),Y) )).

cnf(gcd4,axiom,
    ( gcd(X,Y,U)
    | ~ divides(U,X)
    | ~ divides(U,Y)
    | ~ divides(h(Y,X,U),U) )).

cnf(commutativity_of_h,axiom,
    ( h(X,Y,Z) = h(Y,X,Z) )).

cnf(commutativity_of_k,axiom,
    ( k(X,Y) = k(Y,X) )).

cnf(commutativity_of_multiply,axiom,
    ( multiply(X,Y) = multiply(Y,X) )).

cnf(commutativity_of_gcd,axiom,
    ( ~ gcd(X,Y,Z)
    | gcd(Y,X,Z) )).

cnf(e_is_gcd_of_a_and_b,hypothesis,
    ( gcd(a,b,e) )).

cnf(prove_gcd,negated_conjecture,
    ( ~ gcd(multiply(a,c),multiply(b,c),multiply(e,c)) )).

%--------------------------------------------------------------------------
