%--------------------------------------------------------------------------
% File     : NUM025-2 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a<b then not b<a
% Version  : [LS74] axioms : Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
% Source   : [TPTP]
% Names    : Problem 76t1 [LS74]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   17 (   2 non-Horn;   9 unit;   9 RR)
%            Number of atoms       :   27 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   28 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : ++less transformed to --greater_or_equal
%          : The surplus transitivity axiom is removed.
%--------------------------------------------------------------------------
%----Include recursive function axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

%----Include recursive function less axioms 
cnf(transitivity_of_less,axiom,
    ( greater_or_equalish(A,B)
    | greater_or_equalish(C,A)
    | ~ greater_or_equalish(C,B) )).

cnf(smaller_number,axiom,
    ( ~ equalish(add(successor(A),B),C)
    | ~ greater_or_equalish(B,C) )).

cnf(less_lemma,axiom,
    ( greater_or_equalish(A,B)
    | equalish(add(successor(predecessor_of_1st_minus_2nd(B,A)),A),B) )).

cnf(zero_is_the_first_number,axiom,
    ( ~ equalish(successor(A),n0) )).

cnf(no_number_less_than_itself,axiom,
    ( greater_or_equalish(A,A) )).

cnf(a_less_than_b,hypothesis,
    ( ~ greater_or_equalish(a,b) )).

cnf(prove_b_not_less_than_a,negated_conjecture,
    ( ~ greater_or_equalish(b,a) )).

%--------------------------------------------------------------------------
