%--------------------------------------------------------------------------
% File     : NUM026-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Less preserved over multiplication by a number
% Version  : [LS74] axioms : Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls76t2 [LS74]
%          : ls76t2 [WM76]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  10 unit;  13 RR)
%            Number of atoms       :   28 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   28 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : The surplus transitivity axiom is removed.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(zero_is_the_first_number,axiom,
    ( ~ equalish(successor(A),n0) )).

cnf(no_number_less_than_itself,axiom,
    ( ~ less(A,A) )).

cnf(c_not_0,hypothesis,
    ( ~ equalish(c,n0) )).

cnf(a_less_than_b,hypothesis,
    ( less(a,b) )).

cnf(prove_a_times_c_less_b_times_c,negated_conjecture,
    ( ~ less(multiply(a,c),multiply(b,c)) )).

%--------------------------------------------------------------------------
