%--------------------------------------------------------------------------
% File     : NUM027-1 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a >= b and b*c <= a*c, then c = 0
% Version  : [LS74] axioms : Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls87 [LS74]
%          : ls87 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   2 non-Horn;  10 unit;  14 RR)
%            Number of atoms       :   38 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   38 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : The surplus transitivity axiom is removed.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(equality_preserved_over_times,axiom,
    ( ~ equalish(A,B)
    | equalish(multiply(A,C),multiply(B,C)) )).

cnf(not_less_and_equal,axiom,
    ( ~ less(A,B)
    | ~ equalish(A,B) )).

cnf(numbers_either_less_or_equal,axiom,
    ( less(A,B)
    | equalish(B,A)
    | less(B,A) )).

cnf(number_not_less_than_itself,axiom,
    ( ~ less(A,A) )).

cnf(zero_is_the_first_number,axiom,
    ( ~ equalish(successor(A),n0) )).

cnf(multiply_lemma,axiom,
    ( ~ less(A,B)
    | equalish(C,n0)
    | less(multiply(A,C),multiply(B,C)) )).

cnf(b_not_less_than_a,hypothesis,
    ( ~ less(b,a) )).

cnf(b_times_c_less_than_a_times_c,hypothesis,
    ( less(multiply(b,c),multiply(a,c)) )).

cnf(prove_c_is_0,negated_conjecture,
    ( ~ equalish(c,n0) )).

%--------------------------------------------------------------------------
