%--------------------------------------------------------------------------
% File     : NUM049-1 : TPTP v3.1.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Connected class property 4
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : CR4 [Quaife]

% Status   : Unsatisfiable
% Rating   : 0.85 v3.1.0, 0.82 v2.7.0, 0.83 v2.6.0, 0.67 v2.5.0, 0.73 v2.4.0, 0.88 v2.3.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :  160 (  12 non-Horn;  48 unit; 121 RR)
%            Number of atoms       :  324 (  71 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   17 (   0 propositional; 1-3 arity)
%            Number of functors    :   64 (  20 constant; 0-3 arity)
%            Number of variables   :  303 (  40 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Not in [Qua92]. Theorem CR4 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_connect_class_property4_1,negated_conjecture,
    ( subclass(cross_product(y,y),identity_relation) )).

cnf(prove_connect_class_property4_2,negated_conjecture,
    ( ~ connected(x,y) )).

%--------------------------------------------------------------------------
