%--------------------------------------------------------------------------
% File     : RNG001-3 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X.additive_identity = additive_identity for any X
% Version  : [FL+74] axioms : Incomplete.
% English  : 

% Refs     : [FL+74] Fleisig et al. (1974), An Implementation of the Model 
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Example 6a [FL+74]
%          : EX6-T? [WM76]
%          : ex6.lop [SETHEO]
%          : FEX6T1 [SPRFN]
%          : FEX6T2 [SPRFN]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0, 0.12 v2.6.0, 0.14 v2.5.0, 0.00 v2.4.0, 0.14 v2.3.0, 0.14 v2.2.1, 0.22 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   4 unit;   5 RR)
%            Number of atoms       :   22 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    2 (   0 propositional; 3-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   30 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(additive_identity1,axiom,
    ( sum(additive_identity,X,X) )).

cnf(additive_inverse1,axiom,
    ( sum(additive_inverse(X),X,additive_identity) )).

cnf(associativity_of_addition1,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(Y,Z,V)
    | ~ sum(U,Z,W)
    | sum(X,V,W) )).

cnf(associativity_of_addition2,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(Y,Z,V)
    | ~ sum(X,V,W)
    | sum(U,Z,W) )).

cnf(closure_of_multiplication,axiom,
    ( product(X,Y,multiply(X,Y)) )).

cnf(distributivity1,axiom,
    ( ~ product(X,Y,V1)
    | ~ product(X,Z,V2)
    | ~ sum(Y,Z,V3)
    | ~ product(X,V3,V4)
    | sum(V1,V2,V4) )).

cnf(distributivity2,axiom,
    ( ~ product(X,Y,V1)
    | ~ product(X,Z,V2)
    | ~ sum(Y,Z,V3)
    | ~ sum(V1,V2,V4)
    | product(X,V3,V4) )).

cnf(prove_a_times_additive_id_is_additive_id,negated_conjecture,
    ( ~ product(a,additive_identity,additive_identity) )).

%--------------------------------------------------------------------------
