%--------------------------------------------------------------------------
% File     : RNG029-3 : TPTP v3.1.0. Bugfixed v2.4.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle Moufang identity
% Version  : [AH90] (equality) axioms : Augmented.
% English  : 

% Refs     : [AH90]  Anantharaman & Hsiang (1990), Automated Proofs of the 
% Source   : [AH90]
% Names    : PROOF V [AH90]

% Status   : Unsatisfiable
% Rating   : 0.44 v3.1.0, 0.20 v2.7.0, 0.62 v2.6.0, 0.67 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :   24 (   0 non-Horn;  22 unit;   4 RR)
%            Number of atoms       :   26 (  26 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-3 arity)
%            Number of variables   :   49 (   2 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : This how the problem appears in [AH90].
%--------------------------------------------------------------------------
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
%----Right Moufang
cnf(right_moufang,hypothesis,
    ( multiply(Z,multiply(X,multiply(Y,X))) = multiply(multiply(multiply(Z,X),Y),X) )).

%----Left Moufang
cnf(left_moufang,hypothesis,
    ( multiply(multiply(X,multiply(Y,X)),Z) = multiply(X,multiply(Y,multiply(X,Z))) )).

%----Associator 
cnf(associator,axiom,
    ( associator(X,Y,Z) = add(multiply(multiply(X,Y),Z),additive_inverse(multiply(X,multiply(Y,Z)))) )).

%----The next three clauses are previously proved lemmas 
cnf(middle_law,axiom,
    ( multiply(multiply(Y,X),Y) = multiply(Y,multiply(X,Y)) )).

cnf(associator_skew_symmetry1,axiom,
    ( associator(Y,X,Z) = additive_inverse(associator(X,Y,Z)) )).

cnf(associator_skew_symmetry2,axiom,
    ( associator(Z,Y,X) = additive_inverse(associator(X,Y,Z)) )).

cnf(prove_middle_law,negated_conjecture,
    (  multiply(multiply(cx,cy),multiply(cz,cx)) != multiply(cx,multiply(multiply(cy,cz),cx)) )).

%--------------------------------------------------------------------------
