%--------------------------------------------------------------------------
% File     : ROB014-2 : TPTP v3.1.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(-e + -(d + -e)) = d then -(e + k(d + -(d + -e))) = -e, k=1
% Version  : [Win90] (equality) axioms : Augmented.
% English  : This is the base step of an induction proof.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.6 [Win90]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0, 0.17 v2.6.0, 0.57 v2.5.0, 0.40 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1, 0.78 v2.2.0, 0.71 v2.1.0, 0.80 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   7 unit;   6 RR)
%            Number of atoms       :   16 (  11 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   18 (   0 singleton)
%            Maximal term depth    :    8 (   3 average)

% Comments : The extra lemmas are suggested by [Win90].
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
%----These are the extra lemmas 
cnf(lemma_3_2,axiom,
    ( negate(add(X,negate(add(Y,Z)))) != negate(add(Y,negate(add(X,Z))))
    | X = Y )).

cnf(lemma_3_4,axiom,
    ( negate(add(X,negate(Y))) != Z
    | ~ positive_integer(Vk)
    | negate(add(X,negate(add(Y,multiply(Vk,add(X,Z)))))) = Z )).

%----Clauses for the theorem 
cnf(condition,hypothesis,
    ( negate(add(negate(e),negate(add(d,negate(e))))) = d )).

cnf(prove_base_step,negated_conjecture,
    (  negate(add(e,multiply(one,add(d,negate(add(d,negate(e))))))) != negate(e) )).

%--------------------------------------------------------------------------
