%--------------------------------------------------------------------------
% File     : SWC322-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_rot_r_total3_x_rot_r_total3
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.54 v3.1.0, 0.55 v2.7.0, 0.58 v2.6.0, 0.78 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses     :  201 (  36 non-Horn;  60 unit; 158 RR)
%            Number of atoms       :  632 ( 116 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   55 (   9 constant; 0-2 arity)
%            Number of variables   :  328 (  49 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : Created by CNF conversion from SWC322+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk2 = sk4 )).

cnf(co1_6,negated_conjecture,
    ( sk1 = sk3 )).

cnf(co1_7,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssList(B)
    | app(cons(A,nil),B) = sk3
    | app(B,cons(A,nil)) != sk4 )).

cnf(co1_8,negated_conjecture,
    ( nil = sk3
    | nil != sk4 )).

cnf(co1_9,negated_conjecture,
    ( ssItem(sk5)
    | nil = sk2 )).

cnf(co1_10,negated_conjecture,
    ( ssItem(sk5)
    | nil != sk1 )).

cnf(co1_11,negated_conjecture,
    ( ssList(sk6)
    | nil = sk2 )).

cnf(co1_12,negated_conjecture,
    ( app(sk6,cons(sk5,nil)) = sk2
    | nil = sk2 )).

cnf(co1_13,negated_conjecture,
    ( app(cons(sk5,nil),sk6) != sk1
    | nil = sk2 )).

cnf(co1_14,negated_conjecture,
    ( ssList(sk6)
    | nil != sk1 )).

cnf(co1_15,negated_conjecture,
    ( app(sk6,cons(sk5,nil)) = sk2
    | nil != sk1 )).

cnf(co1_16,negated_conjecture,
    ( app(cons(sk5,nil),sk6) != sk1
    | nil != sk1 )).

%--------------------------------------------------------------------------
