%--------------------------------------------------------------------------
% File     : SWC400-1 : TPTP v3.1.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_subst_x_run_ord
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.85 v3.1.0, 0.82 v2.7.0, 0.83 v2.6.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :  196 (  33 non-Horn;  65 unit; 153 RR)
%            Number of atoms       :  615 ( 100 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   54 (   8 constant; 0-2 arity)
%            Number of variables   :  326 (  49 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : Created by CNF conversion from SWC400+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk2 = sk4 )).

cnf(co1_6,negated_conjecture,
    ( sk1 = sk3 )).

cnf(co1_7,negated_conjecture,
    ( segmentP(sk4,sk3) )).

cnf(co1_8,negated_conjecture,
    ( totalorderedP(sk3) )).

cnf(co1_9,negated_conjecture,
    ( ssItem(sk5) )).

cnf(co1_10,negated_conjecture,
    ( memberP(sk1,sk5) )).

cnf(co1_11,negated_conjecture,
    ( ~ memberP(sk2,sk5) )).

%--------------------------------------------------------------------------
