%--------------------------------------------------------------------------
% File     : SYN440-1 : TPTP v3.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-002.cnf [Wei97]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.56 v2.7.0, 0.67 v2.5.0, 0.25 v2.4.0, 0.75 v2.3.0, 1.00 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :  328 (  57 non-Horn;   0 unit; 315 RR)
%            Number of atoms       :  946 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   72 (  68 propositional; 0-1 arity)
%            Number of functors    :   67 (  67 constant; 0-0 arity)
%            Number of variables   :   92 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( hskp59
    | hskp30 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp66
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp65
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp64
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause66,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause67,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause68,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause69,negated_conjecture,
    ( hskp33
    | hskp34
    | hskp2 )).

cnf(clause70,negated_conjecture,
    ( hskp3
    | hskp4
    | hskp36 )).

cnf(clause71,negated_conjecture,
    ( hskp16
    | hskp17
    | hskp9 )).

cnf(clause72,negated_conjecture,
    ( hskp18
    | hskp9
    | hskp19 )).

cnf(clause73,negated_conjecture,
    ( hskp27
    | hskp40
    | hskp28 )).

cnf(clause74,negated_conjecture,
    ( hskp33
    | hskp60
    | hskp61 )).

cnf(clause75,negated_conjecture,
    ( hskp64
    | hskp65
    | hskp66 )).

cnf(clause76,negated_conjecture,
    ( ~ hskp66
    | c1_1(a675) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp66
    | c3_1(a675) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp65
    | c2_1(a674) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp65
    | c0_1(a674) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp64
    | c3_1(a673) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp64
    | c1_1(a673) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp63
    | c3_1(a672) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp62
    | c3_1(a671) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp62
    | c0_1(a671) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp61
    | c2_1(a670) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp60
    | c0_1(a669) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp60
    | c1_1(a669) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp59
    | c2_1(a665) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp59
    | c3_1(a665) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp58
    | c3_1(a663) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp57
    | c1_1(a662) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp57
    | c2_1(a662) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp56
    | c2_1(a658) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp56
    | c3_1(a658) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp55
    | c3_1(a653) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp55
    | c1_1(a653) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp54
    | c3_1(a651) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp54
    | c2_1(a651) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp53
    | c3_1(a648) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp53
    | c0_1(a648) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp52
    | c0_1(a647) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp51
    | c2_1(a644) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp51
    | c0_1(a644) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp50
    | c1_1(a640) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp50
    | c0_1(a640) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp49
    | c1_1(a639) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp48
    | c1_1(a638) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp48
    | c2_1(a638) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp47
    | c3_1(a636) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp46
    | c1_1(a626) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp46
    | c0_1(a626) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp46
    | c3_1(a626) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp45
    | c3_1(a623) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp45
    | c2_1(a623) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp44
    | c2_1(a621) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp44
    | c3_1(a621) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp43
    | c0_1(a619) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp42
    | c1_1(a618) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp41
    | c2_1(a617) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp41
    | c3_1(a617) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp40
    | c2_1(a614) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp40
    | c1_1(a614) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp40
    | c0_1(a614) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp39
    | c3_1(a611) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp39
    | c2_1(a611) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp38
    | c1_1(a608) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp38
    | c3_1(a608) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp38
    | c0_1(a608) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp37
    | c1_1(a607) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp37
    | c0_1(a607) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp36
    | c1_1(a605) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp36
    | c0_1(a605) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp35
    | c2_1(a602) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp34
    | c2_1(a600) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp34
    | c0_1(a600) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp33
    | c0_1(a599) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp33
    | c3_1(a599) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp32
    | c0_1(a677) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp31
    | c1_1(a667) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp30
    | c0_1(a666) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp28
    | c1_1(a656) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp26
    | c3_1(a652) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp25
    | c3_1(a646) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp24
    | c3_1(a643) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp23
    | c2_1(a642) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp23
    | c3_1(a642) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp22
    | c0_1(a641) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp21
    | c1_1(a637) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp21
    | c0_1(a637) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp18
    | c0_1(a632) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp18
    | c3_1(a632) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp17
    | c3_1(a628) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp16
    | c2_1(a627) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp16
    | c0_1(a627) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp14
    | c3_1(a624) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp11
    | c0_1(a616) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp11
    | c1_1(a616) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp10
    | c0_1(a615) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp10
    | c3_1(a615) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp9
    | c1_1(a613) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp9
    | c2_1(a613) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp8
    | c3_1(a612) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp7
    | c1_1(a610) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp6
    | c2_1(a609) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp5
    | c2_1(a606) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp3
    | c0_1(a603) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp2
    | c0_1(a601) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp1
    | c0_1(a598) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp1
    | c2_1(a598) )).

cnf(clause170,negated_conjecture,
    ( ~ hskp0
    | c0_1(a597) )).

cnf(clause171,negated_conjecture,
    ( ~ c2_1(a675)
    | ~ hskp66 )).

cnf(clause172,negated_conjecture,
    ( ~ c1_1(a674)
    | ~ hskp65 )).

cnf(clause173,negated_conjecture,
    ( ~ c0_1(a673)
    | ~ hskp64 )).

cnf(clause174,negated_conjecture,
    ( ~ c0_1(a672)
    | ~ hskp63 )).

cnf(clause175,negated_conjecture,
    ( ~ c2_1(a672)
    | ~ hskp63 )).

cnf(clause176,negated_conjecture,
    ( ~ c1_1(a671)
    | ~ hskp62 )).

cnf(clause177,negated_conjecture,
    ( ~ c1_1(a670)
    | ~ hskp61 )).

cnf(clause178,negated_conjecture,
    ( ~ c0_1(a670)
    | ~ hskp61 )).

cnf(clause179,negated_conjecture,
    ( ~ c2_1(a669)
    | ~ hskp60 )).

cnf(clause180,negated_conjecture,
    ( ~ c0_1(a665)
    | ~ hskp59 )).

cnf(clause181,negated_conjecture,
    ( ~ c0_1(a663)
    | ~ hskp58 )).

cnf(clause182,negated_conjecture,
    ( ~ c1_1(a663)
    | ~ hskp58 )).

cnf(clause183,negated_conjecture,
    ( ~ c0_1(a662)
    | ~ hskp57 )).

cnf(clause184,negated_conjecture,
    ( ~ c1_1(a658)
    | ~ hskp56 )).

cnf(clause185,negated_conjecture,
    ( ~ c2_1(a653)
    | ~ hskp55 )).

cnf(clause186,negated_conjecture,
    ( ~ c0_1(a651)
    | ~ hskp54 )).

cnf(clause187,negated_conjecture,
    ( ~ c2_1(a648)
    | ~ hskp53 )).

cnf(clause188,negated_conjecture,
    ( ~ c2_1(a647)
    | ~ hskp52 )).

cnf(clause189,negated_conjecture,
    ( ~ c1_1(a647)
    | ~ hskp52 )).

cnf(clause190,negated_conjecture,
    ( ~ c3_1(a644)
    | ~ hskp51 )).

cnf(clause191,negated_conjecture,
    ( ~ c3_1(a640)
    | ~ hskp50 )).

cnf(clause192,negated_conjecture,
    ( ~ c2_1(a639)
    | ~ hskp49 )).

cnf(clause193,negated_conjecture,
    ( ~ c0_1(a639)
    | ~ hskp49 )).

cnf(clause194,negated_conjecture,
    ( ~ c3_1(a638)
    | ~ hskp48 )).

cnf(clause195,negated_conjecture,
    ( ~ c1_1(a636)
    | ~ hskp47 )).

cnf(clause196,negated_conjecture,
    ( ~ c0_1(a636)
    | ~ hskp47 )).

cnf(clause197,negated_conjecture,
    ( ~ c0_1(a623)
    | ~ hskp45 )).

cnf(clause198,negated_conjecture,
    ( ~ c0_1(a621)
    | ~ hskp44 )).

cnf(clause199,negated_conjecture,
    ( ~ c3_1(a619)
    | ~ hskp43 )).

cnf(clause200,negated_conjecture,
    ( ~ c1_1(a619)
    | ~ hskp43 )).

cnf(clause201,negated_conjecture,
    ( ~ c2_1(a618)
    | ~ hskp42 )).

cnf(clause202,negated_conjecture,
    ( ~ c3_1(a618)
    | ~ hskp42 )).

cnf(clause203,negated_conjecture,
    ( ~ c1_1(a617)
    | ~ hskp41 )).

cnf(clause204,negated_conjecture,
    ( ~ c1_1(a611)
    | ~ hskp39 )).

cnf(clause205,negated_conjecture,
    ( ~ c2_1(a607)
    | ~ hskp37 )).

cnf(clause206,negated_conjecture,
    ( ~ c3_1(a605)
    | ~ hskp36 )).

cnf(clause207,negated_conjecture,
    ( ~ c3_1(a602)
    | ~ hskp35 )).

cnf(clause208,negated_conjecture,
    ( ~ c1_1(a602)
    | ~ hskp35 )).

cnf(clause209,negated_conjecture,
    ( ~ c3_1(a600)
    | ~ hskp34 )).

cnf(clause210,negated_conjecture,
    ( ~ c2_1(a599)
    | ~ hskp33 )).

cnf(clause211,negated_conjecture,
    ( ~ c3_1(a677)
    | ~ hskp32 )).

cnf(clause212,negated_conjecture,
    ( ~ c2_1(a677)
    | ~ hskp32 )).

cnf(clause213,negated_conjecture,
    ( ~ c2_1(a667)
    | ~ hskp31 )).

cnf(clause214,negated_conjecture,
    ( ~ c0_1(a667)
    | ~ hskp31 )).

cnf(clause215,negated_conjecture,
    ( ~ c2_1(a666)
    | ~ hskp30 )).

cnf(clause216,negated_conjecture,
    ( ~ c3_1(a666)
    | ~ hskp30 )).

cnf(clause217,negated_conjecture,
    ( ~ c1_1(a660)
    | ~ hskp29 )).

cnf(clause218,negated_conjecture,
    ( ~ c3_1(a660)
    | ~ hskp29 )).

cnf(clause219,negated_conjecture,
    ( ~ c0_1(a660)
    | ~ hskp29 )).

cnf(clause220,negated_conjecture,
    ( ~ c3_1(a656)
    | ~ hskp28 )).

cnf(clause221,negated_conjecture,
    ( ~ c0_1(a656)
    | ~ hskp28 )).

cnf(clause222,negated_conjecture,
    ( ~ c3_1(a654)
    | ~ hskp27 )).

cnf(clause223,negated_conjecture,
    ( ~ c0_1(a654)
    | ~ hskp27 )).

cnf(clause224,negated_conjecture,
    ( ~ c1_1(a654)
    | ~ hskp27 )).

cnf(clause225,negated_conjecture,
    ( ~ c1_1(a652)
    | ~ hskp26 )).

cnf(clause226,negated_conjecture,
    ( ~ c2_1(a652)
    | ~ hskp26 )).

cnf(clause227,negated_conjecture,
    ( ~ c2_1(a646)
    | ~ hskp25 )).

cnf(clause228,negated_conjecture,
    ( ~ c0_1(a646)
    | ~ hskp25 )).

cnf(clause229,negated_conjecture,
    ( ~ c0_1(a643)
    | ~ hskp24 )).

cnf(clause230,negated_conjecture,
    ( ~ c1_1(a643)
    | ~ hskp24 )).

cnf(clause231,negated_conjecture,
    ( ~ c0_1(a642)
    | ~ hskp23 )).

cnf(clause232,negated_conjecture,
    ( ~ c1_1(a641)
    | ~ hskp22 )).

cnf(clause233,negated_conjecture,
    ( ~ c2_1(a641)
    | ~ hskp22 )).

cnf(clause234,negated_conjecture,
    ( ~ c3_1(a637)
    | ~ hskp21 )).

cnf(clause235,negated_conjecture,
    ( ~ c1_1(a635)
    | ~ hskp20 )).

cnf(clause236,negated_conjecture,
    ( ~ c2_1(a635)
    | ~ hskp20 )).

cnf(clause237,negated_conjecture,
    ( ~ c3_1(a635)
    | ~ hskp20 )).

cnf(clause238,negated_conjecture,
    ( ~ c1_1(a634)
    | ~ hskp19 )).

cnf(clause239,negated_conjecture,
    ( ~ c0_1(a634)
    | ~ hskp19 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(a634)
    | ~ hskp19 )).

cnf(clause241,negated_conjecture,
    ( ~ c1_1(a632)
    | ~ hskp18 )).

cnf(clause242,negated_conjecture,
    ( ~ c2_1(a628)
    | ~ hskp17 )).

cnf(clause243,negated_conjecture,
    ( ~ c1_1(a628)
    | ~ hskp17 )).

cnf(clause244,negated_conjecture,
    ( ~ c3_1(a627)
    | ~ hskp16 )).

cnf(clause245,negated_conjecture,
    ( ~ c2_1(a625)
    | ~ hskp15 )).

cnf(clause246,negated_conjecture,
    ( ~ c1_1(a625)
    | ~ hskp15 )).

cnf(clause247,negated_conjecture,
    ( ~ c0_1(a625)
    | ~ hskp15 )).

cnf(clause248,negated_conjecture,
    ( ~ c1_1(a624)
    | ~ hskp14 )).

cnf(clause249,negated_conjecture,
    ( ~ c2_1(a624)
    | ~ hskp14 )).

cnf(clause250,negated_conjecture,
    ( ~ c1_1(a622)
    | ~ hskp13 )).

cnf(clause251,negated_conjecture,
    ( ~ c2_1(a622)
    | ~ hskp13 )).

cnf(clause252,negated_conjecture,
    ( ~ c0_1(a622)
    | ~ hskp13 )).

cnf(clause253,negated_conjecture,
    ( ~ c0_1(a620)
    | ~ hskp12 )).

cnf(clause254,negated_conjecture,
    ( ~ c3_1(a620)
    | ~ hskp12 )).

cnf(clause255,negated_conjecture,
    ( ~ c1_1(a620)
    | ~ hskp12 )).

cnf(clause256,negated_conjecture,
    ( ~ c2_1(a616)
    | ~ hskp11 )).

cnf(clause257,negated_conjecture,
    ( ~ c2_1(a615)
    | ~ hskp10 )).

cnf(clause258,negated_conjecture,
    ( ~ c3_1(a613)
    | ~ hskp9 )).

cnf(clause259,negated_conjecture,
    ( ~ c2_1(a612)
    | ~ hskp8 )).

cnf(clause260,negated_conjecture,
    ( ~ c1_1(a612)
    | ~ hskp8 )).

cnf(clause261,negated_conjecture,
    ( ~ c2_1(a610)
    | ~ hskp7 )).

cnf(clause262,negated_conjecture,
    ( ~ c0_1(a610)
    | ~ hskp7 )).

cnf(clause263,negated_conjecture,
    ( ~ c0_1(a609)
    | ~ hskp6 )).

cnf(clause264,negated_conjecture,
    ( ~ c1_1(a609)
    | ~ hskp6 )).

cnf(clause265,negated_conjecture,
    ( ~ c0_1(a606)
    | ~ hskp5 )).

cnf(clause266,negated_conjecture,
    ( ~ c3_1(a606)
    | ~ hskp5 )).

cnf(clause267,negated_conjecture,
    ( ~ c2_1(a604)
    | ~ hskp4 )).

cnf(clause268,negated_conjecture,
    ( ~ c0_1(a604)
    | ~ hskp4 )).

cnf(clause269,negated_conjecture,
    ( ~ c3_1(a604)
    | ~ hskp4 )).

cnf(clause270,negated_conjecture,
    ( ~ c1_1(a603)
    | ~ hskp3 )).

cnf(clause271,negated_conjecture,
    ( ~ c3_1(a603)
    | ~ hskp3 )).

cnf(clause272,negated_conjecture,
    ( ~ c2_1(a601)
    | ~ hskp2 )).

cnf(clause273,negated_conjecture,
    ( ~ c3_1(a601)
    | ~ hskp2 )).

cnf(clause274,negated_conjecture,
    ( ~ c1_1(a598)
    | ~ hskp1 )).

cnf(clause275,negated_conjecture,
    ( ~ c3_1(a597)
    | ~ hskp0 )).

cnf(clause276,negated_conjecture,
    ( ~ c1_1(a597)
    | ~ hskp0 )).

cnf(clause277,negated_conjecture,
    ( ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | c3_1(U)
    | hskp8
    | hskp9 )).

cnf(clause278,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | c1_1(U)
    | hskp50
    | hskp22 )).

cnf(clause279,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c2_1(U)
    | hskp62
    | hskp63 )).

cnf(clause280,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | hskp0
    | hskp1 )).

cnf(clause281,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | hskp40
    | hskp10 )).

cnf(clause282,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp47
    | hskp21 )).

cnf(clause283,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp48
    | hskp49 )).

cnf(clause284,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | hskp25
    | hskp52 )).

cnf(clause285,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | hskp53
    | hskp17 )).

cnf(clause286,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | hskp37
    | hskp54 )).

cnf(clause287,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | hskp26
    | hskp55 )).

cnf(clause288,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | hskp3
    | hskp29 )).

cnf(clause289,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp6 )).

cnf(clause290,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp7
    | hskp39 )).

cnf(clause291,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp43
    | hskp12 )).

cnf(clause292,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp44
    | hskp13 )).

cnf(clause293,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp14
    | hskp15 )).

cnf(clause294,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp23
    | hskp24 )).

cnf(clause295,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp58
    | hskp41 )).

cnf(clause296,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp32
    | hskp30 )).

cnf(clause297,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c0_1(V)
    | c2_1(U)
    | c3_1(V)
    | c1_1(V)
    | c3_1(U) )).

cnf(clause298,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp5
    | hskp37 )).

cnf(clause299,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | c0_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(U)
    | c3_1(V) )).

cnf(clause300,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | c3_1(V)
    | c0_1(V)
    | c1_1(V)
    | c0_1(U)
    | c1_1(U)
    | hskp42 )).

cnf(clause301,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(V)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(U)
    | c3_1(U)
    | c0_1(V) )).

cnf(clause302,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(V)
    | c1_1(V)
    | c0_1(V)
    | hskp38 )).

cnf(clause303,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp42 )).

cnf(clause304,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp51 )).

cnf(clause305,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c3_1(U)
    | c0_1(U)
    | c2_1(V)
    | c1_1(V)
    | hskp55 )).

cnf(clause306,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c2_1(V)
    | c1_1(V)
    | hskp56 )).

cnf(clause307,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | c2_1(V)
    | c1_1(V)
    | c3_1(V)
    | hskp11 )).

cnf(clause308,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | hskp45 )).

cnf(clause309,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp46 )).

cnf(clause310,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c3_1(U)
    | c2_1(V)
    | c0_1(V)
    | hskp16 )).

cnf(clause311,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c3_1(U)
    | c2_1(U)
    | c1_1(V)
    | hskp20 )).

cnf(clause312,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c2_1(U)
    | c1_1(U)
    | c2_1(V)
    | hskp5 )).

cnf(clause313,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | c0_1(U)
    | c1_1(V)
    | hskp55 )).

cnf(clause314,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(V)
    | c2_1(U)
    | c2_1(V)
    | hskp41 )).

cnf(clause315,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp36 )).

cnf(clause316,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(U)
    | ~ c0_1(V)
    | ~ c2_1(V)
    | ~ c2_1(U)
    | c1_1(V) )).

cnf(clause317,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c0_1(V)
    | hskp31 )).

cnf(clause318,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | hskp35 )).

cnf(clause319,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(V)
    | hskp57 )).

cnf(clause320,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c2_1(V)
    | c0_1(W)
    | c1_1(W)
    | c2_1(W)
    | c1_1(U)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V) )).

cnf(clause321,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | c3_1(W)
    | c1_1(W)
    | c0_1(W) )).

cnf(clause322,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | ~ c0_1(U)
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c3_1(W)
    | c0_1(W)
    | c2_1(W)
    | c1_1(U)
    | c2_1(V) )).

cnf(clause323,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c0_1(U)
    | c2_1(V)
    | c3_1(W)
    | c2_1(W)
    | c0_1(W) )).

cnf(clause324,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | ~ c0_1(W)
    | c1_1(U)
    | c0_1(V)
    | c2_1(W)
    | c1_1(W) )).

cnf(clause325,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | ~ c3_1(W)
    | c0_1(U)
    | c1_1(V)
    | c1_1(W)
    | c2_1(W) )).

cnf(clause326,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c2_1(W)
    | ~ c1_1(W)
    | c1_1(U)
    | c1_1(V)
    | c0_1(V)
    | c0_1(W) )).

cnf(clause327,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c3_1(W)
    | ~ c0_1(W)
    | c3_1(U)
    | c0_1(V)
    | c2_1(W) )).

cnf(clause328,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | ~ c2_1(W)
    | ~ c0_1(W)
    | ~ c1_1(W)
    | c3_1(V) )).

%--------------------------------------------------------------------------
