%--------------------------------------------------------------------------
% File     : SYN447-1 : TPTP v3.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=017
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-017.cnf [Wei97]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.44 v2.7.0, 0.50 v2.6.0, 0.56 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :  316 (  59 non-Horn;   0 unit; 302 RR)
%            Number of atoms       :  929 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :  133 ( 129 propositional; 0-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   92 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( hskp0
    | hskp29
    | hskp30 )).

cnf(clause66,negated_conjecture,
    ( hskp46
    | hskp38
    | hskp14 )).

cnf(clause67,negated_conjecture,
    ( hskp39
    | hskp17
    | hskp18 )).

cnf(clause68,negated_conjecture,
    ( hskp43
    | hskp27
    | hskp28 )).

cnf(clause69,negated_conjecture,
    ( hskp62
    | hskp56
    | hskp63 )).

cnf(clause70,negated_conjecture,
    ( ~ hskp63
    | c1_1(a1105) )).

cnf(clause71,negated_conjecture,
    ( ~ hskp63
    | c3_1(a1105) )).

cnf(clause72,negated_conjecture,
    ( ~ hskp62
    | c2_1(a1103) )).

cnf(clause73,negated_conjecture,
    ( ~ hskp62
    | c3_1(a1103) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp62
    | c1_1(a1103) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp61
    | c2_1(a1099) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp60
    | c2_1(a1097) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp60
    | c3_1(a1097) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp59
    | c1_1(a1095) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp58
    | c2_1(a1086) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp58
    | c3_1(a1086) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp57
    | c2_1(a1085) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp57
    | c0_1(a1085) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp57
    | c3_1(a1085) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp56
    | c0_1(a1084) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp55
    | c1_1(a1081) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp55
    | c3_1(a1081) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp54
    | c3_1(a1074) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp54
    | c0_1(a1074) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp54
    | c2_1(a1074) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp53
    | c1_1(a1073) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp53
    | c2_1(a1073) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp53
    | c0_1(a1073) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp52
    | c1_1(a1071) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp52
    | c0_1(a1071) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp52
    | c3_1(a1071) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp51
    | c2_1(a1070) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp51
    | c0_1(a1070) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp50
    | c3_1(a1069) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp50
    | c1_1(a1069) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp49
    | c1_1(a1065) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp48
    | c3_1(a1062) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp48
    | c2_1(a1062) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp48
    | c0_1(a1062) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp47
    | c2_1(a1056) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp47
    | c1_1(a1056) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp47
    | c3_1(a1056) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp46
    | c0_1(a1053) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp45
    | c0_1(a1052) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp45
    | c3_1(a1052) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp45
    | c2_1(a1052) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp44
    | c1_1(a1051) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp44
    | c0_1(a1051) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp43
    | c0_1(a1049) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp43
    | c2_1(a1049) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp43
    | c1_1(a1049) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp42
    | c1_1(a1046) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp42
    | c0_1(a1046) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp41
    | c3_1(a1045) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp40
    | c3_1(a1044) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp40
    | c0_1(a1044) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp39
    | c0_1(a1042) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp39
    | c2_1(a1042) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp38
    | c1_1(a1040) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp38
    | c3_1(a1040) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp38
    | c2_1(a1040) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp37
    | c0_1(a1037) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp37
    | c3_1(a1037) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp36
    | c3_1(a1034) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp36
    | c1_1(a1034) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp35
    | c0_1(a1033) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp35
    | c1_1(a1033) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp35
    | c3_1(a1033) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp34
    | c3_1(a1032) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp33
    | c3_1(a1031) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp33
    | c2_1(a1031) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp32
    | c1_1(a1029) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp32
    | c2_1(a1029) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp31
    | c0_1(a1028) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp31
    | c3_1(a1028) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp30
    | c3_1(a1022) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp30
    | c1_1(a1022) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp29
    | c2_1(a1021) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp28
    | c2_1(a1102) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp27
    | c3_1(a1101) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp27
    | c1_1(a1101) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp26
    | c1_1(a1098) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp24
    | c0_1(a1089) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp23
    | c1_1(a1088) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp23
    | c3_1(a1088) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp22
    | c2_1(a1083) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp22
    | c3_1(a1083) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp19
    | c1_1(a1079) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp18
    | c2_1(a1078) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp18
    | c0_1(a1078) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp17
    | c3_1(a1077) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp16
    | c2_1(a1064) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp16
    | c0_1(a1064) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp15
    | c3_1(a1059) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp15
    | c2_1(a1059) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp13
    | c0_1(a1048) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp13
    | c3_1(a1048) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp12
    | c0_1(a1043) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp11
    | c1_1(a1041) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp10
    | c1_1(a1039) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp9
    | c2_1(a1038) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp8
    | c0_1(a1036) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp7
    | c0_1(a1035) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp7
    | c1_1(a1035) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp5
    | c1_1(a1027) )).

cnf(clause170,negated_conjecture,
    ( ~ hskp5
    | c2_1(a1027) )).

cnf(clause171,negated_conjecture,
    ( ~ hskp4
    | c0_1(a1026) )).

cnf(clause172,negated_conjecture,
    ( ~ hskp2
    | c2_1(a1024) )).

cnf(clause173,negated_conjecture,
    ( ~ hskp2
    | c1_1(a1024) )).

cnf(clause174,negated_conjecture,
    ( ~ hskp1
    | c2_1(a1023) )).

cnf(clause175,negated_conjecture,
    ( ~ hskp0
    | c0_1(a1020) )).

cnf(clause176,negated_conjecture,
    ( ~ c2_1(a1105)
    | ~ hskp63 )).

cnf(clause177,negated_conjecture,
    ( ~ c3_1(a1099)
    | ~ hskp61 )).

cnf(clause178,negated_conjecture,
    ( ~ c0_1(a1099)
    | ~ hskp61 )).

cnf(clause179,negated_conjecture,
    ( ~ c0_1(a1097)
    | ~ hskp60 )).

cnf(clause180,negated_conjecture,
    ( ~ c0_1(a1095)
    | ~ hskp59 )).

cnf(clause181,negated_conjecture,
    ( ~ c3_1(a1095)
    | ~ hskp59 )).

cnf(clause182,negated_conjecture,
    ( ~ c0_1(a1086)
    | ~ hskp58 )).

cnf(clause183,negated_conjecture,
    ( ~ c3_1(a1084)
    | ~ hskp56 )).

cnf(clause184,negated_conjecture,
    ( ~ c1_1(a1084)
    | ~ hskp56 )).

cnf(clause185,negated_conjecture,
    ( ~ c0_1(a1081)
    | ~ hskp55 )).

cnf(clause186,negated_conjecture,
    ( ~ c1_1(a1070)
    | ~ hskp51 )).

cnf(clause187,negated_conjecture,
    ( ~ c0_1(a1069)
    | ~ hskp50 )).

cnf(clause188,negated_conjecture,
    ( ~ c0_1(a1065)
    | ~ hskp49 )).

cnf(clause189,negated_conjecture,
    ( ~ c2_1(a1065)
    | ~ hskp49 )).

cnf(clause190,negated_conjecture,
    ( ~ c1_1(a1053)
    | ~ hskp46 )).

cnf(clause191,negated_conjecture,
    ( ~ c2_1(a1053)
    | ~ hskp46 )).

cnf(clause192,negated_conjecture,
    ( ~ c2_1(a1051)
    | ~ hskp44 )).

cnf(clause193,negated_conjecture,
    ( ~ c2_1(a1046)
    | ~ hskp42 )).

cnf(clause194,negated_conjecture,
    ( ~ c1_1(a1045)
    | ~ hskp41 )).

cnf(clause195,negated_conjecture,
    ( ~ c0_1(a1045)
    | ~ hskp41 )).

cnf(clause196,negated_conjecture,
    ( ~ c1_1(a1044)
    | ~ hskp40 )).

cnf(clause197,negated_conjecture,
    ( ~ c1_1(a1042)
    | ~ hskp39 )).

cnf(clause198,negated_conjecture,
    ( ~ c1_1(a1037)
    | ~ hskp37 )).

cnf(clause199,negated_conjecture,
    ( ~ c0_1(a1034)
    | ~ hskp36 )).

cnf(clause200,negated_conjecture,
    ( ~ c2_1(a1032)
    | ~ hskp34 )).

cnf(clause201,negated_conjecture,
    ( ~ c1_1(a1032)
    | ~ hskp34 )).

cnf(clause202,negated_conjecture,
    ( ~ c1_1(a1031)
    | ~ hskp33 )).

cnf(clause203,negated_conjecture,
    ( ~ c0_1(a1029)
    | ~ hskp32 )).

cnf(clause204,negated_conjecture,
    ( ~ c1_1(a1028)
    | ~ hskp31 )).

cnf(clause205,negated_conjecture,
    ( ~ c2_1(a1022)
    | ~ hskp30 )).

cnf(clause206,negated_conjecture,
    ( ~ c1_1(a1021)
    | ~ hskp29 )).

cnf(clause207,negated_conjecture,
    ( ~ c3_1(a1021)
    | ~ hskp29 )).

cnf(clause208,negated_conjecture,
    ( ~ c0_1(a1102)
    | ~ hskp28 )).

cnf(clause209,negated_conjecture,
    ( ~ c1_1(a1102)
    | ~ hskp28 )).

cnf(clause210,negated_conjecture,
    ( ~ c0_1(a1101)
    | ~ hskp27 )).

cnf(clause211,negated_conjecture,
    ( ~ c3_1(a1098)
    | ~ hskp26 )).

cnf(clause212,negated_conjecture,
    ( ~ c0_1(a1098)
    | ~ hskp26 )).

cnf(clause213,negated_conjecture,
    ( ~ c3_1(a1091)
    | ~ hskp25 )).

cnf(clause214,negated_conjecture,
    ( ~ c0_1(a1091)
    | ~ hskp25 )).

cnf(clause215,negated_conjecture,
    ( ~ c2_1(a1091)
    | ~ hskp25 )).

cnf(clause216,negated_conjecture,
    ( ~ c2_1(a1089)
    | ~ hskp24 )).

cnf(clause217,negated_conjecture,
    ( ~ c1_1(a1089)
    | ~ hskp24 )).

cnf(clause218,negated_conjecture,
    ( ~ c2_1(a1088)
    | ~ hskp23 )).

cnf(clause219,negated_conjecture,
    ( ~ c1_1(a1083)
    | ~ hskp22 )).

cnf(clause220,negated_conjecture,
    ( ~ c3_1(a1082)
    | ~ hskp21 )).

cnf(clause221,negated_conjecture,
    ( ~ c2_1(a1082)
    | ~ hskp21 )).

cnf(clause222,negated_conjecture,
    ( ~ c0_1(a1082)
    | ~ hskp21 )).

cnf(clause223,negated_conjecture,
    ( ~ c0_1(a1080)
    | ~ hskp20 )).

cnf(clause224,negated_conjecture,
    ( ~ c2_1(a1080)
    | ~ hskp20 )).

cnf(clause225,negated_conjecture,
    ( ~ c1_1(a1080)
    | ~ hskp20 )).

cnf(clause226,negated_conjecture,
    ( ~ c0_1(a1079)
    | ~ hskp19 )).

cnf(clause227,negated_conjecture,
    ( ~ c2_1(a1079)
    | ~ hskp19 )).

cnf(clause228,negated_conjecture,
    ( ~ c1_1(a1078)
    | ~ hskp18 )).

cnf(clause229,negated_conjecture,
    ( ~ c0_1(a1077)
    | ~ hskp17 )).

cnf(clause230,negated_conjecture,
    ( ~ c2_1(a1077)
    | ~ hskp17 )).

cnf(clause231,negated_conjecture,
    ( ~ c3_1(a1064)
    | ~ hskp16 )).

cnf(clause232,negated_conjecture,
    ( ~ c1_1(a1059)
    | ~ hskp15 )).

cnf(clause233,negated_conjecture,
    ( ~ c0_1(a1055)
    | ~ hskp14 )).

cnf(clause234,negated_conjecture,
    ( ~ c1_1(a1055)
    | ~ hskp14 )).

cnf(clause235,negated_conjecture,
    ( ~ c2_1(a1055)
    | ~ hskp14 )).

cnf(clause236,negated_conjecture,
    ( ~ c2_1(a1048)
    | ~ hskp13 )).

cnf(clause237,negated_conjecture,
    ( ~ c1_1(a1043)
    | ~ hskp12 )).

cnf(clause238,negated_conjecture,
    ( ~ c3_1(a1043)
    | ~ hskp12 )).

cnf(clause239,negated_conjecture,
    ( ~ c3_1(a1041)
    | ~ hskp11 )).

cnf(clause240,negated_conjecture,
    ( ~ c2_1(a1041)
    | ~ hskp11 )).

cnf(clause241,negated_conjecture,
    ( ~ c2_1(a1039)
    | ~ hskp10 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(a1039)
    | ~ hskp10 )).

cnf(clause243,negated_conjecture,
    ( ~ c1_1(a1038)
    | ~ hskp9 )).

cnf(clause244,negated_conjecture,
    ( ~ c0_1(a1038)
    | ~ hskp9 )).

cnf(clause245,negated_conjecture,
    ( ~ c3_1(a1036)
    | ~ hskp8 )).

cnf(clause246,negated_conjecture,
    ( ~ c1_1(a1036)
    | ~ hskp8 )).

cnf(clause247,negated_conjecture,
    ( ~ c2_1(a1035)
    | ~ hskp7 )).

cnf(clause248,negated_conjecture,
    ( ~ c2_1(a1030)
    | ~ hskp6 )).

cnf(clause249,negated_conjecture,
    ( ~ c3_1(a1030)
    | ~ hskp6 )).

cnf(clause250,negated_conjecture,
    ( ~ c0_1(a1030)
    | ~ hskp6 )).

cnf(clause251,negated_conjecture,
    ( ~ c3_1(a1027)
    | ~ hskp5 )).

cnf(clause252,negated_conjecture,
    ( ~ c2_1(a1026)
    | ~ hskp4 )).

cnf(clause253,negated_conjecture,
    ( ~ c1_1(a1026)
    | ~ hskp4 )).

cnf(clause254,negated_conjecture,
    ( ~ c0_1(a1025)
    | ~ hskp3 )).

cnf(clause255,negated_conjecture,
    ( ~ c3_1(a1025)
    | ~ hskp3 )).

cnf(clause256,negated_conjecture,
    ( ~ c2_1(a1025)
    | ~ hskp3 )).

cnf(clause257,negated_conjecture,
    ( ~ c3_1(a1024)
    | ~ hskp2 )).

cnf(clause258,negated_conjecture,
    ( ~ c1_1(a1023)
    | ~ hskp1 )).

cnf(clause259,negated_conjecture,
    ( ~ c0_1(a1023)
    | ~ hskp1 )).

cnf(clause260,negated_conjecture,
    ( ~ c1_1(a1020)
    | ~ hskp0 )).

cnf(clause261,negated_conjecture,
    ( ~ c2_1(a1020)
    | ~ hskp0 )).

cnf(clause262,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | c0_1(U)
    | hskp10 )).

cnf(clause263,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c2_1(U)
    | hskp44
    | hskp45 )).

cnf(clause264,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c1_1(U)
    | hskp48
    | hskp14 )).

cnf(clause265,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp36
    | hskp7 )).

cnf(clause266,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp15
    | hskp33 )).

cnf(clause267,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c3_1(U)
    | hskp36
    | hskp48 )).

cnf(clause268,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | hskp42
    | hskp16 )).

cnf(clause269,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp19
    | hskp20 )).

cnf(clause270,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | hskp55
    | hskp21 )).

cnf(clause271,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | hskp60
    | hskp26 )).

cnf(clause272,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp4
    | hskp5 )).

cnf(clause273,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp32
    | hskp6 )).

cnf(clause274,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp8
    | hskp37 )).

cnf(clause275,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp40
    | hskp41 )).

cnf(clause276,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp13
    | hskp43 )).

cnf(clause277,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp10
    | hskp43 )).

cnf(clause278,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp7
    | hskp12 )).

cnf(clause279,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp50
    | hskp51 )).

cnf(clause280,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp52
    | hskp34 )).

cnf(clause281,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp22
    | hskp56 )).

cnf(clause282,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp11
    | hskp39 )).

cnf(clause283,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp54
    | hskp47 )).

cnf(clause284,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp33
    | hskp23 )).

cnf(clause285,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | c2_1(V)
    | c3_1(V)
    | c0_1(V)
    | hskp3 )).

cnf(clause286,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp35 )).

cnf(clause287,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | c0_1(V)
    | c3_1(V)
    | c2_1(V)
    | hskp9 )).

cnf(clause288,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | c3_1(V)
    | c2_1(V)
    | c0_1(V)
    | hskp1 )).

cnf(clause289,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(U)
    | c1_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp34 )).

cnf(clause290,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | ~ c0_1(U)
    | c3_1(V)
    | c1_1(V)
    | c0_1(V)
    | c2_1(U)
    | hskp49 )).

cnf(clause291,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | ~ c3_1(U)
    | c1_1(V)
    | c0_1(V)
    | c3_1(V)
    | c0_1(U)
    | hskp24 )).

cnf(clause292,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(U)
    | c2_1(V)
    | c1_1(V)
    | hskp1 )).

cnf(clause293,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c3_1(V)
    | c2_1(V)
    | c0_1(V)
    | hskp2 )).

cnf(clause294,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c3_1(U)
    | c2_1(V)
    | hskp31 )).

cnf(clause295,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c2_1(U)
    | c1_1(V)
    | c0_1(V)
    | hskp42 )).

cnf(clause296,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c2_1(U)
    | c2_1(V)
    | hskp58 )).

cnf(clause297,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(V)
    | c0_1(U)
    | c2_1(U)
    | c2_1(V)
    | hskp59 )).

cnf(clause298,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | hskp35 )).

cnf(clause299,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(V)
    | c3_1(U)
    | c2_1(U)
    | c0_1(V)
    | hskp61 )).

cnf(clause300,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(V)
    | c0_1(V)
    | hskp33 )).

cnf(clause301,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | c2_1(V)
    | hskp38 )).

cnf(clause302,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(V)
    | hskp4 )).

cnf(clause303,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c3_1(U)
    | c1_1(V)
    | hskp47 )).

cnf(clause304,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c2_1(V)
    | hskp57 )).

cnf(clause305,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(V)
    | c0_1(V)
    | hskp25 )).

cnf(clause306,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c1_1(U)
    | c2_1(U)
    | hskp51 )).

cnf(clause307,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c0_1(V)
    | c2_1(U)
    | hskp12 )).

cnf(clause308,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c0_1(V)
    | hskp7 )).

cnf(clause309,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | hskp53 )).

cnf(clause310,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c0_1(U)
    | hskp36 )).

cnf(clause311,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c0_1(V)
    | ~ c1_1(U)
    | ~ c3_1(V)
    | ~ c2_1(V)
    | ~ ndr1_0
    | ~ c2_1(U) )).

cnf(clause312,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | c1_1(W)
    | c3_1(W)
    | c0_1(W) )).

cnf(clause313,negated_conjecture,
    ( ~ ndr1_0
    | ~ c0_1(U)
    | ~ c2_1(V)
    | c3_1(W)
    | c1_1(W)
    | c2_1(W)
    | c3_1(U)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V) )).

cnf(clause314,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(U)
    | c2_1(U)
    | c0_1(W)
    | c3_1(W)
    | c1_1(W)
    | c0_1(V)
    | c2_1(V) )).

cnf(clause315,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c0_1(W)
    | c1_1(W)
    | c2_1(W)
    | c3_1(U)
    | c1_1(U)
    | c0_1(V) )).

cnf(clause316,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(W)
    | ~ c1_1(W)
    | ~ c3_1(W)
    | c3_1(U)
    | c3_1(V)
    | c1_1(V) )).

%--------------------------------------------------------------------------
