%--------------------------------------------------------------------------
% File     : SYN457-1 : TPTP v3.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=060
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-060.cnf [Wei97]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.44 v2.7.0, 0.67 v2.5.0, 0.25 v2.4.0, 0.50 v2.3.0, 1.00 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :  364 (  60 non-Horn;   0 unit; 356 RR)
%            Number of atoms       : 1018 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :  157 ( 153 propositional; 0-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   89 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp75
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp74
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp73
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp72
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp71
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp70
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp69
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp68
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp67
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp66
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp65
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp64
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause66,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause67,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause68,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause69,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause70,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause71,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause72,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause73,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause74,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause75,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause76,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause77,negated_conjecture,
    ( hskp43
    | hskp44
    | hskp45 )).

cnf(clause78,negated_conjecture,
    ( hskp47
    | hskp2
    | hskp3 )).

cnf(clause79,negated_conjecture,
    ( hskp53
    | hskp8
    | hskp54 )).

cnf(clause80,negated_conjecture,
    ( hskp10
    | hskp14
    | hskp15 )).

cnf(clause81,negated_conjecture,
    ( hskp23
    | hskp64
    | hskp65 )).

cnf(clause82,negated_conjecture,
    ( hskp66
    | hskp27
    | hskp28 )).

cnf(clause83,negated_conjecture,
    ( hskp29
    | hskp52
    | hskp53 )).

cnf(clause84,negated_conjecture,
    ( hskp63
    | hskp31
    | hskp32 )).

cnf(clause85,negated_conjecture,
    ( ~ hskp75
    | c0_1(a1724) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp75
    | c3_1(a1724) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp74
    | c0_1(a1717) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp74
    | c2_1(a1717) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp73
    | c2_1(a1716) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp73
    | c0_1(a1716) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp72
    | c1_1(a1715) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp72
    | c3_1(a1715) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp71
    | c3_1(a1713) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp71
    | c0_1(a1713) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp70
    | c1_1(a1710) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp69
    | c0_1(a1709) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp69
    | c3_1(a1709) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp68
    | c3_1(a1707) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp68
    | c0_1(a1707) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp67
    | c1_1(a1702) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp67
    | c2_1(a1702) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp67
    | c3_1(a1702) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp66
    | c0_1(a1692) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp65
    | c2_1(a1687) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp64
    | c0_1(a1686) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp63
    | c2_1(a1676) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp63
    | c3_1(a1676) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp62
    | c1_1(a1675) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp62
    | c0_1(a1675) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp61
    | c3_1(a1674) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp60
    | c3_1(a1673) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp60
    | c2_1(a1673) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp59
    | c3_1(a1669) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp59
    | c0_1(a1669) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp58
    | c3_1(a1668) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp57
    | c0_1(a1665) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp57
    | c3_1(a1665) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp56
    | c0_1(a1662) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp56
    | c1_1(a1662) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp55
    | c1_1(a1661) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp54
    | c3_1(a1658) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp54
    | c1_1(a1658) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp53
    | c2_1(a1656) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp53
    | c0_1(a1656) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp52
    | c0_1(a1654) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp52
    | c2_1(a1654) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp52
    | c3_1(a1654) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp51
    | c2_1(a1653) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp51
    | c1_1(a1653) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp50
    | c3_1(a1652) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp50
    | c2_1(a1652) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp50
    | c0_1(a1652) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp49
    | c3_1(a1651) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp49
    | c1_1(a1651) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp48
    | c0_1(a1649) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp47
    | c3_1(a1644) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp46
    | c0_1(a1642) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp45
    | c2_1(a1641) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp44
    | c3_1(a1640) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp44
    | c2_1(a1640) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp44
    | c1_1(a1640) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp43
    | c2_1(a1639) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp43
    | c0_1(a1639) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp42
    | c1_1(a1638) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp42
    | c0_1(a1638) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp41
    | c0_1(a1726) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp41
    | c2_1(a1726) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp40
    | c1_1(a1725) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp40
    | c3_1(a1725) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp39
    | c3_1(a1721) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp38
    | c3_1(a1718) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp37
    | c2_1(a1714) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp37
    | c0_1(a1714) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp34
    | c2_1(a1705) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp33
    | c3_1(a1704) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp32
    | c1_1(a1701) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp32
    | c0_1(a1701) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp31
    | c2_1(a1700) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp30
    | c1_1(a1698) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp30
    | c3_1(a1698) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp29
    | c2_1(a1695) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp29
    | c0_1(a1695) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp28
    | c2_1(a1694) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp25
    | c2_1(a1690) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp24
    | c3_1(a1689) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp23
    | c2_1(a1685) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp22
    | c2_1(a1684) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp21
    | c3_1(a1683) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp21
    | c2_1(a1683) )).

cnf(clause170,negated_conjecture,
    ( ~ hskp15
    | c3_1(a1672) )).

cnf(clause171,negated_conjecture,
    ( ~ hskp15
    | c1_1(a1672) )).

cnf(clause172,negated_conjecture,
    ( ~ hskp14
    | c2_1(a1671) )).

cnf(clause173,negated_conjecture,
    ( ~ hskp13
    | c0_1(a1667) )).

cnf(clause174,negated_conjecture,
    ( ~ hskp13
    | c3_1(a1667) )).

cnf(clause175,negated_conjecture,
    ( ~ hskp12
    | c2_1(a1666) )).

cnf(clause176,negated_conjecture,
    ( ~ hskp12
    | c3_1(a1666) )).

cnf(clause177,negated_conjecture,
    ( ~ hskp8
    | c2_1(a1657) )).

cnf(clause178,negated_conjecture,
    ( ~ hskp7
    | c3_1(a1655) )).

cnf(clause179,negated_conjecture,
    ( ~ hskp7
    | c0_1(a1655) )).

cnf(clause180,negated_conjecture,
    ( ~ hskp5
    | c3_1(a1648) )).

cnf(clause181,negated_conjecture,
    ( ~ hskp4
    | c1_1(a1647) )).

cnf(clause182,negated_conjecture,
    ( ~ hskp3
    | c0_1(a1646) )).

cnf(clause183,negated_conjecture,
    ( ~ hskp1
    | c3_1(a1643) )).

cnf(clause184,negated_conjecture,
    ( ~ hskp0
    | c1_1(a1637) )).

cnf(clause185,negated_conjecture,
    ( ~ hskp0
    | c0_1(a1637) )).

cnf(clause186,negated_conjecture,
    ( ~ c2_1(a1724)
    | ~ hskp75 )).

cnf(clause187,negated_conjecture,
    ( ~ c3_1(a1717)
    | ~ hskp74 )).

cnf(clause188,negated_conjecture,
    ( ~ c3_1(a1716)
    | ~ hskp73 )).

cnf(clause189,negated_conjecture,
    ( ~ c2_1(a1715)
    | ~ hskp72 )).

cnf(clause190,negated_conjecture,
    ( ~ c2_1(a1713)
    | ~ hskp71 )).

cnf(clause191,negated_conjecture,
    ( ~ c0_1(a1710)
    | ~ hskp70 )).

cnf(clause192,negated_conjecture,
    ( ~ c3_1(a1710)
    | ~ hskp70 )).

cnf(clause193,negated_conjecture,
    ( ~ c1_1(a1709)
    | ~ hskp69 )).

cnf(clause194,negated_conjecture,
    ( ~ c1_1(a1707)
    | ~ hskp68 )).

cnf(clause195,negated_conjecture,
    ( ~ c1_1(a1692)
    | ~ hskp66 )).

cnf(clause196,negated_conjecture,
    ( ~ c2_1(a1692)
    | ~ hskp66 )).

cnf(clause197,negated_conjecture,
    ( ~ c3_1(a1687)
    | ~ hskp65 )).

cnf(clause198,negated_conjecture,
    ( ~ c0_1(a1687)
    | ~ hskp65 )).

cnf(clause199,negated_conjecture,
    ( ~ c3_1(a1686)
    | ~ hskp64 )).

cnf(clause200,negated_conjecture,
    ( ~ c1_1(a1686)
    | ~ hskp64 )).

cnf(clause201,negated_conjecture,
    ( ~ c0_1(a1676)
    | ~ hskp63 )).

cnf(clause202,negated_conjecture,
    ( ~ c3_1(a1675)
    | ~ hskp62 )).

cnf(clause203,negated_conjecture,
    ( ~ c1_1(a1674)
    | ~ hskp61 )).

cnf(clause204,negated_conjecture,
    ( ~ c2_1(a1674)
    | ~ hskp61 )).

cnf(clause205,negated_conjecture,
    ( ~ c1_1(a1673)
    | ~ hskp60 )).

cnf(clause206,negated_conjecture,
    ( ~ c2_1(a1669)
    | ~ hskp59 )).

cnf(clause207,negated_conjecture,
    ( ~ c0_1(a1668)
    | ~ hskp58 )).

cnf(clause208,negated_conjecture,
    ( ~ c1_1(a1668)
    | ~ hskp58 )).

cnf(clause209,negated_conjecture,
    ( ~ c1_1(a1665)
    | ~ hskp57 )).

cnf(clause210,negated_conjecture,
    ( ~ c2_1(a1662)
    | ~ hskp56 )).

cnf(clause211,negated_conjecture,
    ( ~ c2_1(a1661)
    | ~ hskp55 )).

cnf(clause212,negated_conjecture,
    ( ~ c3_1(a1661)
    | ~ hskp55 )).

cnf(clause213,negated_conjecture,
    ( ~ c0_1(a1658)
    | ~ hskp54 )).

cnf(clause214,negated_conjecture,
    ( ~ c3_1(a1656)
    | ~ hskp53 )).

cnf(clause215,negated_conjecture,
    ( ~ c0_1(a1653)
    | ~ hskp51 )).

cnf(clause216,negated_conjecture,
    ( ~ c2_1(a1651)
    | ~ hskp49 )).

cnf(clause217,negated_conjecture,
    ( ~ c3_1(a1649)
    | ~ hskp48 )).

cnf(clause218,negated_conjecture,
    ( ~ c2_1(a1649)
    | ~ hskp48 )).

cnf(clause219,negated_conjecture,
    ( ~ c1_1(a1644)
    | ~ hskp47 )).

cnf(clause220,negated_conjecture,
    ( ~ c0_1(a1644)
    | ~ hskp47 )).

cnf(clause221,negated_conjecture,
    ( ~ c2_1(a1642)
    | ~ hskp46 )).

cnf(clause222,negated_conjecture,
    ( ~ c1_1(a1642)
    | ~ hskp46 )).

cnf(clause223,negated_conjecture,
    ( ~ c3_1(a1641)
    | ~ hskp45 )).

cnf(clause224,negated_conjecture,
    ( ~ c1_1(a1641)
    | ~ hskp45 )).

cnf(clause225,negated_conjecture,
    ( ~ c1_1(a1639)
    | ~ hskp43 )).

cnf(clause226,negated_conjecture,
    ( ~ c3_1(a1638)
    | ~ hskp42 )).

cnf(clause227,negated_conjecture,
    ( ~ c1_1(a1726)
    | ~ hskp41 )).

cnf(clause228,negated_conjecture,
    ( ~ c2_1(a1725)
    | ~ hskp40 )).

cnf(clause229,negated_conjecture,
    ( ~ c1_1(a1721)
    | ~ hskp39 )).

cnf(clause230,negated_conjecture,
    ( ~ c0_1(a1721)
    | ~ hskp39 )).

cnf(clause231,negated_conjecture,
    ( ~ c2_1(a1718)
    | ~ hskp38 )).

cnf(clause232,negated_conjecture,
    ( ~ c0_1(a1718)
    | ~ hskp38 )).

cnf(clause233,negated_conjecture,
    ( ~ c1_1(a1714)
    | ~ hskp37 )).

cnf(clause234,negated_conjecture,
    ( ~ c2_1(a1712)
    | ~ hskp36 )).

cnf(clause235,negated_conjecture,
    ( ~ c0_1(a1712)
    | ~ hskp36 )).

cnf(clause236,negated_conjecture,
    ( ~ c1_1(a1712)
    | ~ hskp36 )).

cnf(clause237,negated_conjecture,
    ( ~ c0_1(a1706)
    | ~ hskp35 )).

cnf(clause238,negated_conjecture,
    ( ~ c3_1(a1706)
    | ~ hskp35 )).

cnf(clause239,negated_conjecture,
    ( ~ c1_1(a1706)
    | ~ hskp35 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(a1705)
    | ~ hskp34 )).

cnf(clause241,negated_conjecture,
    ( ~ c1_1(a1705)
    | ~ hskp34 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(a1704)
    | ~ hskp33 )).

cnf(clause243,negated_conjecture,
    ( ~ c2_1(a1704)
    | ~ hskp33 )).

cnf(clause244,negated_conjecture,
    ( ~ c3_1(a1701)
    | ~ hskp32 )).

cnf(clause245,negated_conjecture,
    ( ~ c0_1(a1700)
    | ~ hskp31 )).

cnf(clause246,negated_conjecture,
    ( ~ c3_1(a1700)
    | ~ hskp31 )).

cnf(clause247,negated_conjecture,
    ( ~ c0_1(a1698)
    | ~ hskp30 )).

cnf(clause248,negated_conjecture,
    ( ~ c3_1(a1695)
    | ~ hskp29 )).

cnf(clause249,negated_conjecture,
    ( ~ c1_1(a1694)
    | ~ hskp28 )).

cnf(clause250,negated_conjecture,
    ( ~ c3_1(a1694)
    | ~ hskp28 )).

cnf(clause251,negated_conjecture,
    ( ~ c0_1(a1693)
    | ~ hskp27 )).

cnf(clause252,negated_conjecture,
    ( ~ c3_1(a1693)
    | ~ hskp27 )).

cnf(clause253,negated_conjecture,
    ( ~ c2_1(a1693)
    | ~ hskp27 )).

cnf(clause254,negated_conjecture,
    ( ~ c3_1(a1691)
    | ~ hskp26 )).

cnf(clause255,negated_conjecture,
    ( ~ c1_1(a1691)
    | ~ hskp26 )).

cnf(clause256,negated_conjecture,
    ( ~ c2_1(a1691)
    | ~ hskp26 )).

cnf(clause257,negated_conjecture,
    ( ~ c0_1(a1690)
    | ~ hskp25 )).

cnf(clause258,negated_conjecture,
    ( ~ c1_1(a1690)
    | ~ hskp25 )).

cnf(clause259,negated_conjecture,
    ( ~ c0_1(a1689)
    | ~ hskp24 )).

cnf(clause260,negated_conjecture,
    ( ~ c1_1(a1689)
    | ~ hskp24 )).

cnf(clause261,negated_conjecture,
    ( ~ c0_1(a1685)
    | ~ hskp23 )).

cnf(clause262,negated_conjecture,
    ( ~ c1_1(a1685)
    | ~ hskp23 )).

cnf(clause263,negated_conjecture,
    ( ~ c0_1(a1684)
    | ~ hskp22 )).

cnf(clause264,negated_conjecture,
    ( ~ c3_1(a1684)
    | ~ hskp22 )).

cnf(clause265,negated_conjecture,
    ( ~ c1_1(a1683)
    | ~ hskp21 )).

cnf(clause266,negated_conjecture,
    ( ~ c2_1(a1682)
    | ~ hskp20 )).

cnf(clause267,negated_conjecture,
    ( ~ c1_1(a1682)
    | ~ hskp20 )).

cnf(clause268,negated_conjecture,
    ( ~ c3_1(a1682)
    | ~ hskp20 )).

cnf(clause269,negated_conjecture,
    ( ~ c1_1(a1681)
    | ~ hskp19 )).

cnf(clause270,negated_conjecture,
    ( ~ c3_1(a1681)
    | ~ hskp19 )).

cnf(clause271,negated_conjecture,
    ( ~ c2_1(a1681)
    | ~ hskp19 )).

cnf(clause272,negated_conjecture,
    ( ~ c3_1(a1680)
    | ~ hskp18 )).

cnf(clause273,negated_conjecture,
    ( ~ c1_1(a1680)
    | ~ hskp18 )).

cnf(clause274,negated_conjecture,
    ( ~ c0_1(a1680)
    | ~ hskp18 )).

cnf(clause275,negated_conjecture,
    ( ~ c0_1(a1678)
    | ~ hskp17 )).

cnf(clause276,negated_conjecture,
    ( ~ c1_1(a1678)
    | ~ hskp17 )).

cnf(clause277,negated_conjecture,
    ( ~ c2_1(a1678)
    | ~ hskp17 )).

cnf(clause278,negated_conjecture,
    ( ~ c0_1(a1677)
    | ~ hskp16 )).

cnf(clause279,negated_conjecture,
    ( ~ c2_1(a1677)
    | ~ hskp16 )).

cnf(clause280,negated_conjecture,
    ( ~ c1_1(a1677)
    | ~ hskp16 )).

cnf(clause281,negated_conjecture,
    ( ~ c0_1(a1672)
    | ~ hskp15 )).

cnf(clause282,negated_conjecture,
    ( ~ c1_1(a1671)
    | ~ hskp14 )).

cnf(clause283,negated_conjecture,
    ( ~ c3_1(a1671)
    | ~ hskp14 )).

cnf(clause284,negated_conjecture,
    ( ~ c1_1(a1667)
    | ~ hskp13 )).

cnf(clause285,negated_conjecture,
    ( ~ c1_1(a1666)
    | ~ hskp12 )).

cnf(clause286,negated_conjecture,
    ( ~ c3_1(a1664)
    | ~ hskp11 )).

cnf(clause287,negated_conjecture,
    ( ~ c2_1(a1664)
    | ~ hskp11 )).

cnf(clause288,negated_conjecture,
    ( ~ c1_1(a1664)
    | ~ hskp11 )).

cnf(clause289,negated_conjecture,
    ( ~ c2_1(a1663)
    | ~ hskp10 )).

cnf(clause290,negated_conjecture,
    ( ~ c3_1(a1663)
    | ~ hskp10 )).

cnf(clause291,negated_conjecture,
    ( ~ c0_1(a1663)
    | ~ hskp10 )).

cnf(clause292,negated_conjecture,
    ( ~ c3_1(a1660)
    | ~ hskp9 )).

cnf(clause293,negated_conjecture,
    ( ~ c0_1(a1660)
    | ~ hskp9 )).

cnf(clause294,negated_conjecture,
    ( ~ c1_1(a1660)
    | ~ hskp9 )).

cnf(clause295,negated_conjecture,
    ( ~ c1_1(a1657)
    | ~ hskp8 )).

cnf(clause296,negated_conjecture,
    ( ~ c0_1(a1657)
    | ~ hskp8 )).

cnf(clause297,negated_conjecture,
    ( ~ c2_1(a1655)
    | ~ hskp7 )).

cnf(clause298,negated_conjecture,
    ( ~ c1_1(a1650)
    | ~ hskp6 )).

cnf(clause299,negated_conjecture,
    ( ~ c2_1(a1650)
    | ~ hskp6 )).

cnf(clause300,negated_conjecture,
    ( ~ c3_1(a1650)
    | ~ hskp6 )).

cnf(clause301,negated_conjecture,
    ( ~ c1_1(a1648)
    | ~ hskp5 )).

cnf(clause302,negated_conjecture,
    ( ~ c0_1(a1648)
    | ~ hskp5 )).

cnf(clause303,negated_conjecture,
    ( ~ c0_1(a1647)
    | ~ hskp4 )).

cnf(clause304,negated_conjecture,
    ( ~ c2_1(a1647)
    | ~ hskp4 )).

cnf(clause305,negated_conjecture,
    ( ~ c1_1(a1646)
    | ~ hskp3 )).

cnf(clause306,negated_conjecture,
    ( ~ c2_1(a1646)
    | ~ hskp3 )).

cnf(clause307,negated_conjecture,
    ( ~ c1_1(a1645)
    | ~ hskp2 )).

cnf(clause308,negated_conjecture,
    ( ~ c0_1(a1645)
    | ~ hskp2 )).

cnf(clause309,negated_conjecture,
    ( ~ c3_1(a1645)
    | ~ hskp2 )).

cnf(clause310,negated_conjecture,
    ( ~ c1_1(a1643)
    | ~ hskp1 )).

cnf(clause311,negated_conjecture,
    ( ~ c2_1(a1643)
    | ~ hskp1 )).

cnf(clause312,negated_conjecture,
    ( ~ c2_1(a1637)
    | ~ hskp0 )).

cnf(clause313,negated_conjecture,
    ( ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | c0_1(U)
    | hskp56
    | hskp10 )).

cnf(clause314,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | c2_1(U)
    | hskp37
    | hskp72 )).

cnf(clause315,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp4
    | hskp5 )).

cnf(clause316,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | hskp58
    | hskp59 )).

cnf(clause317,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp60
    | hskp18 )).

cnf(clause318,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp61
    | hskp24 )).

cnf(clause319,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | hskp35
    | hskp68 )).

cnf(clause320,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp36
    | hskp71 )).

cnf(clause321,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp41
    | hskp30 )).

cnf(clause322,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp0
    | hskp42 )).

cnf(clause323,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp48
    | hskp6 )).

cnf(clause324,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp52
    | hskp7 )).

cnf(clause325,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp9
    | hskp55 )).

cnf(clause326,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp11
    | hskp57 )).

cnf(clause327,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp61
    | hskp62 )).

cnf(clause328,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp16
    | hskp17 )).

cnf(clause329,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp19
    | hskp20 )).

cnf(clause330,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp61
    | hskp33 )).

cnf(clause331,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | hskp50
    | hskp51 )).

cnf(clause332,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp12
    | hskp13 )).

cnf(clause333,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | hskp74
    | hskp38 )).

cnf(clause334,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp1 )).

cnf(clause335,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | c1_1(V)
    | c2_1(V)
    | c0_1(V)
    | c2_1(U)
    | c0_1(U)
    | hskp49 )).

cnf(clause336,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | c1_1(U)
    | c0_1(U)
    | hskp70 )).

cnf(clause337,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c3_1(U)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp60 )).

cnf(clause338,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | c2_1(V)
    | hskp21 )).

cnf(clause339,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c2_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp22 )).

cnf(clause340,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp25 )).

cnf(clause341,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(U)
    | c1_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp69 )).

cnf(clause342,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c2_1(U)
    | c3_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp57 )).

cnf(clause343,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(U)
    | c0_1(V)
    | c2_1(V)
    | hskp46 )).

cnf(clause344,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c3_1(U)
    | c3_1(V)
    | c1_1(V)
    | hskp2 )).

cnf(clause345,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c0_1(U)
    | c1_1(U)
    | c2_1(V)
    | hskp30 )).

cnf(clause346,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp29 )).

cnf(clause347,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c2_1(U)
    | c3_1(U)
    | c2_1(V)
    | hskp61 )).

cnf(clause348,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(U)
    | c3_1(V)
    | hskp75 )).

cnf(clause349,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c1_1(U)
    | c1_1(V)
    | hskp67 )).

cnf(clause350,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c2_1(V)
    | hskp34 )).

cnf(clause351,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c0_1(V)
    | hskp73 )).

cnf(clause352,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(V)
    | ~ c3_1(V)
    | c3_1(U)
    | c2_1(U)
    | hskp47 )).

cnf(clause353,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c2_1(U)
    | c0_1(V)
    | hskp39 )).

cnf(clause354,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(V)
    | c3_1(V)
    | hskp40 )).

cnf(clause355,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | c1_1(V)
    | hskp63 )).

cnf(clause356,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | hskp26 )).

cnf(clause357,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c2_1(V)
    | hskp13 )).

cnf(clause358,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c0_1(V)
    | c2_1(U)
    | hskp0 )).

cnf(clause359,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c0_1(V)
    | c2_1(W)
    | c1_1(W)
    | c3_1(W) )).

cnf(clause360,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(W)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c1_1(W)
    | c3_1(W) )).

cnf(clause361,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c1_1(V)
    | c2_1(W)
    | c3_1(W)
    | c0_1(W) )).

cnf(clause362,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(W)
    | ~ c3_1(W)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c1_1(W) )).

cnf(clause363,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c1_1(W)
    | ~ c2_1(W)
    | c0_1(U)
    | c1_1(U)
    | c1_1(V)
    | c3_1(W) )).

cnf(clause364,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | ~ c1_1(V)
    | ~ c3_1(W)
    | c2_1(U)
    | c1_1(U)
    | c1_1(W)
    | c2_1(W) )).

%--------------------------------------------------------------------------
